/* service.c generated by valac 0.26.0, the Vala compiler
 * generated from service.vala, do not modify */

/*
 * Copyright 2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define NUVOLA_TYPE_SERVICE (nuvola_service_get_type ())
#define NUVOLA_SERVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_SERVICE, NuvolaService))
#define NUVOLA_SERVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_SERVICE, NuvolaServiceClass))
#define NUVOLA_IS_SERVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_SERVICE))
#define NUVOLA_IS_SERVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_SERVICE))
#define NUVOLA_SERVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_SERVICE, NuvolaServiceClass))

typedef struct _NuvolaService NuvolaService;
typedef struct _NuvolaServiceClass NuvolaServiceClass;
typedef struct _NuvolaServicePrivate NuvolaServicePrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _NuvolaService {
	GObject parent_instance;
	NuvolaServicePrivate * priv;
};

struct _NuvolaServiceClass {
	GObjectClass parent_class;
};

struct _NuvolaServicePrivate {
	gchar* _id;
	gchar* _name;
	gint _version;
	gint _version_minor;
	gchar* _maintainer_name;
	gchar* _maintainer_link;
	GFile* _resources;
	GFile* _config_dir;
	gint _api_major;
	gint _api_minor;
	gchar* _home_page;
	gboolean _flash_plugin;
	gboolean _requirements_specified;
	gboolean _removable;
	GRegex* _sandbox;
};


static gpointer nuvola_service_parent_class = NULL;

GType nuvola_service_get_type (void) G_GNUC_CONST;
#define NUVOLA_SERVICE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_SERVICE, NuvolaServicePrivate))
enum  {
	NUVOLA_SERVICE_DUMMY_PROPERTY,
	NUVOLA_SERVICE_ID,
	NUVOLA_SERVICE_NAME,
	NUVOLA_SERVICE_VERSION,
	NUVOLA_SERVICE_VERSION_MINOR,
	NUVOLA_SERVICE_MAINTAINER_NAME,
	NUVOLA_SERVICE_MAINTAINER_LINK,
	NUVOLA_SERVICE_RESOURCES,
	NUVOLA_SERVICE_CONFIG_DIR,
	NUVOLA_SERVICE_API_MAJOR,
	NUVOLA_SERVICE_API_MINOR,
	NUVOLA_SERVICE_HOME_PAGE,
	NUVOLA_SERVICE_FLASH_PLUGIN,
	NUVOLA_SERVICE_REQUIREMENTS_SPECIFIED,
	NUVOLA_SERVICE_REMOVABLE,
	NUVOLA_SERVICE_SANDBOX
};
#define NUVOLA_SERVICE_CONFIG_PREFIX "service"
gboolean nuvola_service_matches_sandbox (NuvolaService* self, const gchar* uri);
static GRegex* nuvola_service_get_sandbox (NuvolaService* self);
NuvolaService* nuvola_service_new (void);
NuvolaService* nuvola_service_construct (GType object_type);
const gchar* nuvola_service_get_id (NuvolaService* self);
static void nuvola_service_set_id (NuvolaService* self, const gchar* value);
const gchar* nuvola_service_get_name (NuvolaService* self);
static void nuvola_service_set_name (NuvolaService* self, const gchar* value);
gint nuvola_service_get_version (NuvolaService* self);
static void nuvola_service_set_version (NuvolaService* self, gint value);
gint nuvola_service_get_version_minor (NuvolaService* self);
static void nuvola_service_set_version_minor (NuvolaService* self, gint value);
const gchar* nuvola_service_get_maintainer_name (NuvolaService* self);
static void nuvola_service_set_maintainer_name (NuvolaService* self, const gchar* value);
const gchar* nuvola_service_get_maintainer_link (NuvolaService* self);
static void nuvola_service_set_maintainer_link (NuvolaService* self, const gchar* value);
GFile* nuvola_service_get_resources (NuvolaService* self);
static void nuvola_service_set_resources (NuvolaService* self, GFile* value);
GFile* nuvola_service_get_config_dir (NuvolaService* self);
static void nuvola_service_set_config_dir (NuvolaService* self, GFile* value);
gint nuvola_service_get_api_major (NuvolaService* self);
static void nuvola_service_set_api_major (NuvolaService* self, gint value);
gint nuvola_service_get_api_minor (NuvolaService* self);
static void nuvola_service_set_api_minor (NuvolaService* self, gint value);
const gchar* nuvola_service_get_home_page (NuvolaService* self);
static void nuvola_service_set_home_page (NuvolaService* self, const gchar* value);
gboolean nuvola_service_get_flash_plugin (NuvolaService* self);
static void nuvola_service_set_flash_plugin (NuvolaService* self, gboolean value);
gboolean nuvola_service_get_requirements_specified (NuvolaService* self);
static void nuvola_service_set_requirements_specified (NuvolaService* self, gboolean value);
gboolean nuvola_service_get_removable (NuvolaService* self);
static void nuvola_service_set_removable (NuvolaService* self, gboolean value);
static void nuvola_service_set_sandbox (NuvolaService* self, GRegex* value);
static void nuvola_service_finalize (GObject* obj);
static void _vala_nuvola_service_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_nuvola_service_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


/**
 * Decide whether given URI is allowed in sandbox.
 * 
 * @param uri	URI to check
 * @return		true if UIR matches sandbox
 */
gboolean nuvola_service_matches_sandbox (NuvolaService* self, const gchar* uri) {
	gboolean result = FALSE;
	GRegex* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 83 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 83 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 84 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_sandbox;
#line 84 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = uri;
#line 84 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp2_ = g_regex_match (_tmp0_, _tmp1_, 0, NULL);
#line 84 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp2_;
#line 84 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 164 "service.c"
}


NuvolaService* nuvola_service_construct (GType object_type) {
	NuvolaService * self = NULL;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self = (NuvolaService*) g_object_new (object_type, NULL);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return self;
#line 174 "service.c"
}


NuvolaService* nuvola_service_new (void) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return nuvola_service_construct (NUVOLA_TYPE_SERVICE);
#line 181 "service.c"
}


const gchar* nuvola_service_get_id (NuvolaService* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_id;
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 196 "service.c"
}


static void nuvola_service_set_id (NuvolaService* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_id);
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_id = _tmp1_;
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "id");
#line 215 "service.c"
}


const gchar* nuvola_service_get_name (NuvolaService* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_name;
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 230 "service.c"
}


static void nuvola_service_set_name (NuvolaService* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_name);
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_name = _tmp1_;
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "name");
#line 249 "service.c"
}


gint nuvola_service_get_version (NuvolaService* self) {
	gint result;
	gint _tmp0_ = 0;
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_version;
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 264 "service.c"
}


static void nuvola_service_set_version (NuvolaService* self, gint value) {
	gint _tmp0_ = 0;
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_version = _tmp0_;
#line 39 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "version");
#line 278 "service.c"
}


gint nuvola_service_get_version_minor (NuvolaService* self) {
	gint result;
	gint _tmp0_ = 0;
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_version_minor;
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 293 "service.c"
}


static void nuvola_service_set_version_minor (NuvolaService* self, gint value) {
	gint _tmp0_ = 0;
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_version_minor = _tmp0_;
#line 42 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "version-minor");
#line 307 "service.c"
}


const gchar* nuvola_service_get_maintainer_name (NuvolaService* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_maintainer_name;
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 322 "service.c"
}


static void nuvola_service_set_maintainer_name (NuvolaService* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_maintainer_name);
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_maintainer_name = _tmp1_;
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "maintainer-name");
#line 341 "service.c"
}


const gchar* nuvola_service_get_maintainer_link (NuvolaService* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_maintainer_link;
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 356 "service.c"
}


static void nuvola_service_set_maintainer_link (NuvolaService* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_maintainer_link);
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_maintainer_link = _tmp1_;
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "maintainer-link");
#line 375 "service.c"
}


GFile* nuvola_service_get_resources (NuvolaService* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_resources;
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 390 "service.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return self ? g_object_ref (self) : NULL;
#line 397 "service.c"
}


static void nuvola_service_set_resources (NuvolaService* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_object_unref0 (self->priv->_resources);
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_resources = _tmp1_;
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "resources");
#line 416 "service.c"
}


GFile* nuvola_service_get_config_dir (NuvolaService* self) {
	GFile* result;
	GFile* _tmp0_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_config_dir;
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 431 "service.c"
}


static void nuvola_service_set_config_dir (NuvolaService* self, GFile* value) {
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_object_unref0 (self->priv->_config_dir);
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_config_dir = _tmp1_;
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "config-dir");
#line 450 "service.c"
}


gint nuvola_service_get_api_major (NuvolaService* self) {
	gint result;
	gint _tmp0_ = 0;
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_api_major;
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 465 "service.c"
}


static void nuvola_service_set_api_major (NuvolaService* self, gint value) {
	gint _tmp0_ = 0;
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_api_major = _tmp0_;
#line 57 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "api-major");
#line 479 "service.c"
}


gint nuvola_service_get_api_minor (NuvolaService* self) {
	gint result;
	gint _tmp0_ = 0;
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_api_minor;
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 494 "service.c"
}


static void nuvola_service_set_api_minor (NuvolaService* self, gint value) {
	gint _tmp0_ = 0;
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_api_minor = _tmp0_;
#line 60 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "api-minor");
#line 508 "service.c"
}


const gchar* nuvola_service_get_home_page (NuvolaService* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_home_page;
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 523 "service.c"
}


static void nuvola_service_set_home_page (NuvolaService* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_home_page);
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_home_page = _tmp1_;
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "home-page");
#line 542 "service.c"
}


gboolean nuvola_service_get_flash_plugin (NuvolaService* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_flash_plugin;
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 557 "service.c"
}


static void nuvola_service_set_flash_plugin (NuvolaService* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_flash_plugin = _tmp0_;
#line 66 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "flash-plugin");
#line 571 "service.c"
}


gboolean nuvola_service_get_requirements_specified (NuvolaService* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_requirements_specified;
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 586 "service.c"
}


static void nuvola_service_set_requirements_specified (NuvolaService* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_requirements_specified = _tmp0_;
#line 69 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "requirements-specified");
#line 600 "service.c"
}


gboolean nuvola_service_get_removable (NuvolaService* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_removable;
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 615 "service.c"
}


static void nuvola_service_set_removable (NuvolaService* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_removable = _tmp0_;
#line 72 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "removable");
#line 629 "service.c"
}


static GRegex* nuvola_service_get_sandbox (NuvolaService* self) {
	GRegex* result;
	GRegex* _tmp0_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = self->priv->_sandbox;
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	result = _tmp0_;
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return result;
#line 644 "service.c"
}


static gpointer _g_regex_ref0 (gpointer self) {
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	return self ? g_regex_ref (self) : NULL;
#line 651 "service.c"
}


static void nuvola_service_set_sandbox (NuvolaService* self, GRegex* value) {
	GRegex* _tmp0_ = NULL;
	GRegex* _tmp1_ = NULL;
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp0_ = value;
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_tmp1_ = _g_regex_ref0 (_tmp0_);
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_regex_unref0 (self->priv->_sandbox);
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv->_sandbox = _tmp1_;
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_notify ((GObject *) self, "sandbox");
#line 670 "service.c"
}


static void nuvola_service_class_init (NuvolaServiceClass * klass) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	nuvola_service_parent_class = g_type_class_peek_parent (klass);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_type_class_add_private (klass, sizeof (NuvolaServicePrivate));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nuvola_service_get_property;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nuvola_service_set_property;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_service_finalize;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_ID, g_param_spec_string ("id", "service identifier", "Unique identitier of service", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_NAME, g_param_spec_string ("name", "name", "Name of the service", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_VERSION, g_param_spec_int ("version", "major version", "Major version of service integration", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_VERSION_MINOR, g_param_spec_int ("version-minor", "minor version", "Minor version of service integration", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_MAINTAINER_NAME, g_param_spec_string ("maintainer-name", "maintainer name", "Name of the maintainer", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_MAINTAINER_LINK, g_param_spec_string ("maintainer-link", "maintainer link", "Link to the maintainer", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_RESOURCES, g_param_spec_object ("resources", "Resources URI", "URI of a directory with service resources", G_TYPE_FILE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_CONFIG_DIR, g_param_spec_object ("config-dir", "Configuration directory URI", "URI of a directory for service configuration files", G_TYPE_FILE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_API_MAJOR, g_param_spec_int ("api-major", "Major API version", "Minimal required major API version", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_API_MINOR, g_param_spec_int ("api-minor", "Minor API version", "Minimal required minor API version", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_HOME_PAGE, g_param_spec_string ("home-page", "Home page", "Main page of the web interface", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_FLASH_PLUGIN, g_param_spec_boolean ("flash-plugin", "Flash plugin", "Whether Flash plugin has to be enabled", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_REQUIREMENTS_SPECIFIED, g_param_spec_boolean ("requirements-specified", "Playback requirements specified", "Whether playback requirements are specified in service's description", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_REMOVABLE, g_param_spec_boolean ("removable", "Removable", "Whether the service can be removed", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUVOLA_SERVICE_SANDBOX, g_param_spec_boxed ("sandbox", "URL sandbox", "pages not matching this regular expression will be opened in the default web browser", G_TYPE_REGEX, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 715 "service.c"
}


static void nuvola_service_instance_init (NuvolaService * self) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self->priv = NUVOLA_SERVICE_GET_PRIVATE (self);
#line 722 "service.c"
}


static void nuvola_service_finalize (GObject* obj) {
	NuvolaService * self;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_SERVICE, NuvolaService);
#line 33 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_id);
#line 36 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_name);
#line 45 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_maintainer_name);
#line 48 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_maintainer_link);
#line 51 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_object_unref0 (self->priv->_resources);
#line 54 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_object_unref0 (self->priv->_config_dir);
#line 63 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_free0 (self->priv->_home_page);
#line 75 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	_g_regex_unref0 (self->priv->_sandbox);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	G_OBJECT_CLASS (nuvola_service_parent_class)->finalize (obj);
#line 748 "service.c"
}


GType nuvola_service_get_type (void) {
	static volatile gsize nuvola_service_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_service_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaServiceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_service_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaService), 0, (GInstanceInitFunc) nuvola_service_instance_init, NULL };
		GType nuvola_service_type_id;
		nuvola_service_type_id = g_type_register_static (G_TYPE_OBJECT, "NuvolaService", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_service_type_id__volatile, nuvola_service_type_id);
	}
	return nuvola_service_type_id__volatile;
}


static void _vala_nuvola_service_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NuvolaService * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_SERVICE, NuvolaService);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	switch (property_id) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_ID:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_string (value, nuvola_service_get_id (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_NAME:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_string (value, nuvola_service_get_name (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_VERSION:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_int (value, nuvola_service_get_version (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_VERSION_MINOR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_int (value, nuvola_service_get_version_minor (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_MAINTAINER_NAME:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_string (value, nuvola_service_get_maintainer_name (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_MAINTAINER_LINK:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_string (value, nuvola_service_get_maintainer_link (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_RESOURCES:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_object (value, nuvola_service_get_resources (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_CONFIG_DIR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_object (value, nuvola_service_get_config_dir (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_API_MAJOR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_int (value, nuvola_service_get_api_major (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_API_MINOR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_int (value, nuvola_service_get_api_minor (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_HOME_PAGE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_string (value, nuvola_service_get_home_page (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_FLASH_PLUGIN:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_boolean (value, nuvola_service_get_flash_plugin (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_REQUIREMENTS_SPECIFIED:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_boolean (value, nuvola_service_get_requirements_specified (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_REMOVABLE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_boolean (value, nuvola_service_get_removable (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_SANDBOX:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		g_value_set_boxed (value, nuvola_service_get_sandbox (self));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 859 "service.c"
		default:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 865 "service.c"
	}
}


static void _vala_nuvola_service_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NuvolaService * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUVOLA_TYPE_SERVICE, NuvolaService);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
	switch (property_id) {
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_ID:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_id (self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_NAME:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_name (self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_VERSION:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_version (self, g_value_get_int (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_VERSION_MINOR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_version_minor (self, g_value_get_int (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_MAINTAINER_NAME:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_maintainer_name (self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_MAINTAINER_LINK:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_maintainer_link (self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_RESOURCES:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_resources (self, g_value_get_object (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_CONFIG_DIR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_config_dir (self, g_value_get_object (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_API_MAJOR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_api_major (self, g_value_get_int (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_API_MINOR:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_api_minor (self, g_value_get_int (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_HOME_PAGE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_home_page (self, g_value_get_string (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_FLASH_PLUGIN:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_flash_plugin (self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_REQUIREMENTS_SPECIFIED:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_requirements_specified (self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_REMOVABLE:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_removable (self, g_value_get_boolean (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		case NUVOLA_SERVICE_SANDBOX:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		nuvola_service_set_sandbox (self, g_value_get_boxed (value));
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 965 "service.c"
		default:
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 25 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvola/core/service.vala"
		break;
#line 971 "service.c"
	}
}



