/* nuvolaplayer.c generated by valac 0.26.0, the Vala compiler
 * generated from nuvolaplayer.vala, do not modify */

/*
 * Copyright 2011-2012 Jiří Janoušek <janousek.jiri@gmail.com>
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met: 
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <stdio.h>
#include <glib/gi18n-lib.h>
#include <nuvolaplayerprivate.h>
#include <gio/gio.h>
#include <libsoup/soup.h>
#include <webkit/webkit.h>
#include <gee.h>
#include <json-glib/json-glib.h>
#include <float.h>
#include <math.h>


#define NUVOLA_TYPE_ARGS (nuvola_args_get_type ())
typedef struct _NuvolaArgs NuvolaArgs;
#define _g_option_context_free0(var) ((var == NULL) ? NULL : (var = (g_option_context_free (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define NUVOLA_TYPE_MAIN (nuvola_main_get_type ())
#define NUVOLA_MAIN(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUVOLA_TYPE_MAIN, NuvolaMain))
#define NUVOLA_MAIN_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUVOLA_TYPE_MAIN, NuvolaMainClass))
#define NUVOLA_IS_MAIN(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUVOLA_TYPE_MAIN))
#define NUVOLA_IS_MAIN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUVOLA_TYPE_MAIN))
#define NUVOLA_MAIN_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUVOLA_TYPE_MAIN, NuvolaMainClass))

typedef struct _NuvolaMain NuvolaMain;
typedef struct _NuvolaMainClass NuvolaMainClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _NuvolaMainPrivate NuvolaMainPrivate;
#define _nuvola_object_container_unref0(var) ((var == NULL) ? NULL : (var = (nuvola_object_container_unref (var), NULL)))
#define _nuvola_extensions_manager_unref0(var) ((var == NULL) ? NULL : (var = (nuvola_extensions_manager_unref (var), NULL)))
#define _nuvola_core_unref0(var) ((var == NULL) ? NULL : (var = (nuvola_core_unref (var), NULL)))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define __vala_SoupBuffer_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupBuffer_free (var), NULL)))
#define __vala_JsonNode_free0(var) ((var == NULL) ? NULL : (var = (_vala_JsonNode_free (var), NULL)))
#define _json_object_unref0(var) ((var == NULL) ? NULL : (var = (json_object_unref (var), NULL)))
typedef struct _NuvolaMainDoPurgeCacheData NuvolaMainDoPurgeCacheData;

struct _NuvolaArgs {
};

struct _NuvolaMain {
	DioriteApplication parent_instance;
	NuvolaMainPrivate * priv;
};

struct _NuvolaMainClass {
	DioriteApplicationClass parent_class;
};

struct _NuvolaMainPrivate {
	NuvolaMainWindow* main_window;
	NuvolaMainWebView* main_view;
	NuvolaWebPlayer* player;
	NuvolaService* service;
	DioriteConnection* connection;
	NuvolaServicesManager* services_manager;
	NuvolaObjectContainer* objects;
	NuvolaConfiguration* config;
	DioriteMapFile* ui_state;
	NuvolaExtensionsManager* extensions;
	DioriteStorage* storage;
	NuvolaServiceSelectorDialog* selector;
	DioriteActions* actions;
	DioriteActionGroups* action_groups;
	GtkUIManager* ui_manager;
	NuvolaPreferencesWindow* preferences_window;
	gboolean loaded;
	NuvolaNoServiceOverlay* no_service_overlay;
	NuvolaWebBackend* web_backend;
	NuvolaFormatSupport* formats;
	NuvolaCore* core;
	NuvolaDownloadsDialog* downloads;
	NuvolaUpdatesService* updates;
};

struct _NuvolaMainDoPurgeCacheData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	NuvolaMain* self;
	GtkMessageDialog* dialog;
	GObject* _tmp0_;
	GObject* _tmp1_;
	GtkMessageDialog* _tmp2_;
	const gchar* _tmp3_;
	GtkMessageDialog* _tmp4_;
	const gchar* _tmp5_;
	GtkMessageDialog* _tmp6_;
	gboolean _tmp7_;
	NuvolaCore* _tmp8_;
	GtkMessageDialog* _tmp9_;
	const gchar* _tmp10_;
	const gchar* _tmp11_;
};


extern gboolean nuvola_args_debug;
gboolean nuvola_args_debug = FALSE;
extern gboolean nuvola_args_verbose;
gboolean nuvola_args_verbose = FALSE;
extern gboolean nuvola_args_version;
gboolean nuvola_args_version = FALSE;
extern gboolean nuvola_args_time;
gboolean nuvola_args_time = FALSE;
extern gboolean nuvola_args_debug_javascript;
gboolean nuvola_args_debug_javascript = FALSE;
extern gboolean nuvola_args_debug_navigation;
gboolean nuvola_args_debug_navigation = FALSE;
extern gboolean nuvola_args_debug_http;
gboolean nuvola_args_debug_http = FALSE;
extern gboolean nuvola_args_no_web_plugins;
gboolean nuvola_args_no_web_plugins = FALSE;
extern gchar* nuvola_args_services_dir;
gchar* nuvola_args_services_dir = NULL;
static gpointer nuvola_main_parent_class = NULL;

#define NUVOLA_APP_CRASHED "crashed"
#define NUVOLA_APP_CHECK_CRASHED "check_crashed"
#define NUVOLA_LAST_SERVICE_KEY "last_service"
GType nuvola_args_get_type (void) G_GNUC_CONST;
NuvolaArgs* nuvola_args_dup (const NuvolaArgs* self);
void nuvola_args_free (NuvolaArgs* self);
gint nuvola_main (gchar** args, int args_length1);
GType nuvola_main_get_type (void) G_GNUC_CONST;
NuvolaMain* nuvola_main_new (void);
NuvolaMain* nuvola_main_construct (GType object_type);
#define NUVOLA_MAIN_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NUVOLA_TYPE_MAIN, NuvolaMainPrivate))
enum  {
	NUVOLA_MAIN_DUMMY_PROPERTY
};
static void nuvola_main_activated (NuvolaMain* self);
static void _nuvola_main_activated_g_application_activate (GApplication* _sender, gpointer self);
void nuvola_main_on_shutdown (NuvolaMain* self);
static void _nuvola_main_on_shutdown_g_application_shutdown (GApplication* _sender, gpointer self);
void nuvola_main_on_late_shutdown (NuvolaMain* self);
static void _nuvola_main_on_late_shutdown_g_application_shutdown (GApplication* _sender, gpointer self);
static void nuvola_main_start (NuvolaMain* self);
static void nuvola_main_on_service_installed_or_removed (NuvolaMain* self, const gchar* service_id);
static void _nuvola_main_on_service_installed_or_removed_nuvola_services_manager_service_installed (NuvolaServicesManager* _sender, const gchar* service_id, gpointer self);
static void _nuvola_main_on_service_installed_or_removed_nuvola_services_manager_service_removed (NuvolaServicesManager* _sender, const gchar* service_id, gpointer self);
static void nuvola_main_on_download_started (NuvolaMain* self, WebKitDownload* request, GFile* destination);
static void _nuvola_main_on_download_started_nuvola_web_backend_download_started (NuvolaWebBackend* _sender, WebKitDownload* download, GFile* destination, gpointer self);
static void nuvola_main_on_settings_changed (NuvolaMain* self, const gchar* key);
static void _nuvola_main_on_settings_changed_diorite_multi_type_map_value_changed (DioriteMultiTypeMap* _sender, const gchar* key, gpointer self);
static void nuvola_main_on_song_changed (NuvolaMain* self, const gchar* song, const gchar* artist, const gchar* album, const gchar* album_art);
static void _nuvola_main_on_song_changed_nuvola_player_song_changed (NuvolaPlayer* _sender, const gchar* song, const gchar* artist, const gchar* album, const gchar* album_art, gpointer self);
void nuvola_main_show_info (NuvolaMain* self, const gchar* title, const gchar* text);
static void _nuvola_main_show_info_diorite_application_show_user_info (DioriteApplication* _sender, const gchar* title, const gchar* text, gpointer self);
static void nuvola_main_append_ui_actions (NuvolaMain* self);
static void nuvola_main_prepare_gui (NuvolaMain* self);
static void nuvola_main_load_extensions (NuvolaMain* self);
static void nuvola_main_start_or_select_service (NuvolaMain* self);
static void _diorite_application_quit_diorite_simple_action_callback (gpointer self);
void nuvola_main_select_service (NuvolaMain* self);
static void _nuvola_main_select_service_diorite_simple_action_callback (gpointer self);
static void _nuvola_core_purge_cookies_diorite_simple_action_callback (gpointer self);
static void nuvola_main_purge_cache (NuvolaMain* self);
static void _nuvola_main_purge_cache_diorite_simple_action_callback (gpointer self);
static void nuvola_main_purge_ui_state (NuvolaMain* self);
static void _nuvola_main_purge_ui_state_diorite_simple_action_callback (gpointer self);
static void _nuvola_core_purge_settings_diorite_simple_action_callback (gpointer self);
static void nuvola_main_format_support (NuvolaMain* self);
static void _nuvola_main_format_support_diorite_simple_action_callback (gpointer self);
static void nuvola_main_edit_settings (NuvolaMain* self);
static void _nuvola_main_edit_settings_diorite_simple_action_callback (gpointer self);
static void nuvola_main_edit_service (NuvolaMain* self);
static void _nuvola_main_edit_service_diorite_simple_action_callback (gpointer self);
static void nuvola_main_edit_extensions (NuvolaMain* self);
static void _nuvola_main_edit_extensions_diorite_simple_action_callback (gpointer self);
static void nuvola_main_open_support (NuvolaMain* self);
static void _nuvola_main_open_support_diorite_simple_action_callback (gpointer self);
static void nuvola_main_about (NuvolaMain* self);
static void _nuvola_main_about_diorite_simple_action_callback (gpointer self);
static void nuvola_main_open_release_notes (NuvolaMain* self);
static void _nuvola_main_open_release_notes_diorite_simple_action_callback (gpointer self);
static void nuvola_main_open_downloads (NuvolaMain* self);
static void _nuvola_main_open_downloads_diorite_simple_action_callback (gpointer self);
static void nuvola_main_show_updates (NuvolaMain* self);
static void _nuvola_main_show_updates_diorite_simple_action_callback (gpointer self);
static void nuvola_main_on_close_action (NuvolaMain* self);
static void _nuvola_main_on_close_action_nuvola_main_window_close_action (NuvolaMainWindow* _sender, gpointer self);
static void nuvola_main_on_populate_popup (NuvolaMain* self, WebKitWebView* web_view, GtkMenu* menu);
static void _nuvola_main_on_populate_popup_webkit_web_view_populate_popup (WebKitWebView* _sender, GtkMenu* p0, gpointer self);
static void nuvola_main_update_window_title (NuvolaMain* self);
static void nuvola_main_donation_bar (NuvolaMain* self);
static void _g_free0_ (gpointer var);
static void _g_object_unref0_ (gpointer var);
static void nuvola_main_load_service (NuvolaMain* self, NuvolaService* new_service);
static void nuvola_main_reload_service (NuvolaMain* self, const gchar* service_id);
static void nuvola_main_destroy_selector (NuvolaMain* self);
static void nuvola_main_on_selector_response (NuvolaMain* self, gint response_id);
static void _nuvola_main_on_selector_response_nuvola_services_manager_view_response (NuvolaServicesManagerView* _sender, gint response_id, gpointer self);
static void nuvola_main_show_preferences (NuvolaMain* self, NuvolaPreferencesTab tab);
static void nuvola_main_on_preferences_window_response (NuvolaMain* self, gint response_id);
static void _nuvola_main_on_preferences_window_response_gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self);
static void nuvola_main_on_donate_button_clicked (NuvolaMain* self);
static void nuvola_main_donation_bar_callback (NuvolaMain* self, SoupSession* session, SoupMessage* message);
static void _nuvola_main_donation_bar_callback_soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self);
static void _vala_SoupBuffer_free (SoupBuffer* self);
static JsonNode* _vala_JsonNode_copy (JsonNode* self);
static void _vala_JsonNode_free (JsonNode* self);
static void _nuvola_main_on_donate_button_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void nuvola_main_do_purge_cache (NuvolaMain* self, GAsyncReadyCallback _callback_, gpointer _user_data_);
static void nuvola_main_do_purge_cache_finish (NuvolaMain* self, GAsyncResult* _res_);
static void nuvola_main_do_purge_cache_data_free (gpointer _data);
static gboolean nuvola_main_do_purge_cache_co (NuvolaMainDoPurgeCacheData* _data_);
static gboolean _nuvola_main_do_purge_cache_co_gsource_func (gpointer self);
static void nuvola_main_do_purge_cache_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
static void nuvola_main_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);

const GOptionEntry NUVOLA_ARGS_options[10] = {{"version", 'V', 0, G_OPTION_ARG_NONE, &nuvola_args_version, "Show version of program", NULL}, {"verbose", 'v', 0, G_OPTION_ARG_NONE, &nuvola_args_verbose, "Print information to terminal", NULL}, {"debug", 'D', 0, G_OPTION_ARG_NONE, &nuvola_args_debug, "Print debug messages", NULL}, {"debug-javascript", (gchar) 0, 0, G_OPTION_ARG_NONE, &nuvola_args_debug_javascript, "Enable JavaScript debugging.", NULL}, {"debug-navigation", (gchar) 0, 0, G_OPTION_ARG_NONE, &nuvola_args_debug_navigation, "Enable navigation debugging.", NULL}, {"debug-http", (gchar) 0, 0, G_OPTION_ARG_NONE, &nuvola_args_debug_http, "Enable debugging of HTTP communication.", NULL}, {"time", 'T', 0, G_OPTION_ARG_NONE, &nuvola_args_time, "Show time in debug messages", NULL}, {"no-web-plugins", (gchar) 0, 0, G_OPTION_ARG_NONE, &nuvola_args_no_web_plugins, "Disables web plugins.", NULL}, {"services-dir", 'S', 0, G_OPTION_ARG_FILENAME, &nuvola_args_services_dir, "Search for service integrations only in directory DIR and disable serv" \
"ice management.", "DIR"}, {NULL}};

NuvolaArgs* nuvola_args_dup (const NuvolaArgs* self) {
	NuvolaArgs* dup;
#line 74 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	dup = g_new0 (NuvolaArgs, 1);
#line 74 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	memcpy (dup, self, sizeof (NuvolaArgs));
#line 74 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return dup;
#line 259 "nuvolaplayer.c"
}


void nuvola_args_free (NuvolaArgs* self) {
#line 74 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_free (self);
#line 266 "nuvolaplayer.c"
}


GType nuvola_args_get_type (void) {
	static volatile gsize nuvola_args_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_args_type_id__volatile)) {
		GType nuvola_args_type_id;
		nuvola_args_type_id = g_boxed_type_register_static ("NuvolaArgs", (GBoxedCopyFunc) nuvola_args_dup, (GBoxedFreeFunc) nuvola_args_free);
		g_once_init_leave (&nuvola_args_type_id__volatile, nuvola_args_type_id);
	}
	return nuvola_args_type_id__volatile;
}


/**
 * Main entry point
 */
gint nuvola_main (gchar** args, int args_length1) {
	gint result = 0;
	GTimeVal start_time = {0};
	gchar* command = NULL;
	gchar** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	gchar* _tmp1_ = NULL;
	GOptionContext* opt_context = NULL;
	GOptionContext* _tmp2_ = NULL;
	gboolean _tmp15_ = FALSE;
	GLogLevelFlags _tmp18_ = 0;
	gboolean _tmp19_ = FALSE;
	gboolean _tmp22_ = FALSE;
	const gchar* _tmp25_ = NULL;
	NuvolaMain* app = NULL;
	NuvolaMain* _tmp26_ = NULL;
	NuvolaMain* _tmp27_ = NULL;
	gint _tmp28_ = 0;
	GError * _inner_error_ = NULL;
#line 103 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_get_current_time (&start_time);
#line 104 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_get_current_time (&start_time);
#line 111 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_setenv ("GST_INSTALL_PLUGINS_HELPER", "/usr/bin/true", TRUE);
#line 113 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_init (&args_length1, &args);
#line 115 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = args;
#line 115 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0__length1 = args_length1;
#line 115 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = g_strjoinv (" ", _tmp0_);
#line 115 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	command = _tmp1_;
#line 118 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = g_option_context_new ("");
#line 118 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	opt_context = _tmp2_;
#line 323 "nuvolaplayer.c"
	{
		GOptionContext* _tmp3_ = NULL;
		GOptionContext* _tmp4_ = NULL;
		GOptionContext* _tmp5_ = NULL;
#line 120 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = opt_context;
#line 120 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_option_context_set_help_enabled (_tmp3_, TRUE);
#line 121 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = opt_context;
#line 121 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_option_context_add_main_entries (_tmp4_, NUVOLA_ARGS_options, NULL);
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = opt_context;
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_option_context_parse (_tmp5_, &args_length1, &args, &_inner_error_);
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			if (_inner_error_->domain == G_OPTION_ERROR) {
#line 344 "nuvolaplayer.c"
				goto __catch0_g_option_error;
			}
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_option_context_free0 (opt_context);
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (command);
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_clear_error (&_inner_error_);
#line 122 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			return 0;
#line 357 "nuvolaplayer.c"
		}
	}
	goto __finally0;
	__catch0_g_option_error:
	{
		GError* e = NULL;
		FILE* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		GError* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		GOptionContext* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		e = _inner_error_;
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_inner_error_ = NULL;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = stderr;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = _ ("Error: Option parsing failed:");
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = g_strconcat (_tmp7_, " %s\n\n%s\n", NULL);
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = _tmp8_;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp10_ = e;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp11_ = _tmp10_->message;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp12_ = opt_context;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp13_ = g_option_context_get_help (_tmp12_, TRUE, NULL);
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp14_ = _tmp13_;
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		fprintf (_tmp6_, _tmp9_, _tmp11_, _tmp14_);
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (_tmp14_);
#line 126 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (_tmp9_);
#line 128 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		result = 1;
#line 128 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_error_free0 (e);
#line 128 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_option_context_free0 (opt_context);
#line 128 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (command);
#line 128 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return result;
#line 411 "nuvolaplayer.c"
	}
	__finally0:
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_option_context_free0 (opt_context);
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (command);
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_clear_error (&_inner_error_);
#line 119 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return 0;
#line 426 "nuvolaplayer.c"
	}
#line 132 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp15_ = nuvola_args_version;
#line 132 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp15_) {
#line 432 "nuvolaplayer.c"
		FILE* _tmp16_ = NULL;
		FILE* _tmp17_ = NULL;
#line 133 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp16_ = stdout;
#line 133 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		fprintf (_tmp16_, "%s %s\n", CONFIG_DISPLAY_NAME, CONFIG_VERSION);
#line 134 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp17_ = stdout;
#line 134 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		fprintf (_tmp17_, "Revision: %s, %s\n", CONFIG_REVISION, CONFIG_REVISION_ID);
#line 135 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		result = 0;
#line 135 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_option_context_free0 (opt_context);
#line 135 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (command);
#line 135 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return result;
#line 451 "nuvolaplayer.c"
	}
#line 141 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = nuvola_args_debug;
#line 141 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp19_) {
#line 141 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp18_ = G_LOG_LEVEL_DEBUG;
#line 459 "nuvolaplayer.c"
	} else {
		GLogLevelFlags _tmp20_ = 0;
		gboolean _tmp21_ = FALSE;
#line 142 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp21_ = nuvola_args_verbose;
#line 142 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp21_) {
#line 142 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp20_ = G_LOG_LEVEL_INFO;
#line 469 "nuvolaplayer.c"
		} else {
#line 142 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp20_ = G_LOG_LEVEL_WARNING;
#line 473 "nuvolaplayer.c"
		}
#line 142 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp18_ = _tmp20_;
#line 477 "nuvolaplayer.c"
	}
#line 141 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_logger_init ("Nuvola", _tmp18_);
#line 143 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = nuvola_args_time;
#line 143 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp22_) {
#line 485 "nuvolaplayer.c"
		GTimeVal _tmp23_ = {0};
		glong _tmp24_ = 0L;
#line 144 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp23_ = start_time;
#line 144 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp24_ = _tmp23_.tv_sec;
#line 144 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		diorite_logger_time = _tmp24_;
#line 494 "nuvolaplayer.c"
	}
#line 147 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_setenv ("XLIB_SKIP_ARGB_VISUALS", "1", FALSE);
#line 150 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_message ("nuvolaplayer.vala:150: Welcome to %s, version: %s", CONFIG_DISPLAY_NAME, CONFIG_VERSION);
#line 154 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_message ("nuvolaplayer.vala:154: Revision: %s, %s", CONFIG_REVISION, CONFIG_REVISION_ID);
#line 155 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_message ("nuvolaplayer.vala:155: Report any issues/bugs you might find to %s", CONFIG_BUG_TRACKER);
#line 156 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp25_ = command;
#line 156 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:156: command: %s", _tmp25_);
#line 158 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:158: Enabled features: %s", CONFIG_ENABLED_FEATURES);
#line 159 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:159: Disabled features: %s", CONFIG_DISABLED_FEATURES);
#line 162 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	textdomain (CONFIG_APPNAME);
#line 163 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	bindtextdomain (CONFIG_APPNAME, LOCALES_DIR);
#line 165 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp26_ = nuvola_main_new ();
#line 165 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	app = _tmp26_;
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp27_ = app;
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp28_ = g_application_run ((GApplication*) _tmp27_, 0, NULL);
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	result = _tmp28_;
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (app);
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_option_context_free0 (opt_context);
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (command);
#line 166 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return result;
#line 534 "nuvolaplayer.c"
}


int main (int argc, char ** argv) {
#if !GLIB_CHECK_VERSION (2,32,0)
	g_thread_init (NULL);
#endif
#if !GLIB_CHECK_VERSION (2,35,0)
	g_type_init ();
#endif
#line 102 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return nuvola_main (argv, argc);
#line 547 "nuvolaplayer.c"
}


/**
 * Constructor for the main application class
 * 
 * @param config Configuration
 * @param ui_state User interface state
 * @param storage File storage
 */
static void _nuvola_main_activated_g_application_activate (GApplication* _sender, gpointer self) {
#line 209 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_activated ((NuvolaMain*) self);
#line 561 "nuvolaplayer.c"
}


NuvolaMain* nuvola_main_construct (GType object_type) {
	NuvolaMain * self = NULL;
#line 203 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self = (NuvolaMain*) diorite_application_construct (object_type, CONFIG_UNIQUE_NAME, CONFIG_DESKTOP_ENTRY, CONFIG_APPNAME, NULL);
#line 204 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_application_set_icon ((DioriteApplication*) self, CONFIG_APP_ICON);
#line 205 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_application_set_version ((DioriteApplication*) self, CONFIG_VERSION);
#line 206 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_application_set_display_name ((DioriteApplication*) self, CONFIG_DISPLAY_NAME);
#line 207 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_application_set_app_name ((DioriteApplication*) self, CONFIG_APPNAME);
#line 209 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object ((GApplication*) self, "activate", (GCallback) _nuvola_main_activated_g_application_activate, self, 0);
#line 201 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return self;
#line 581 "nuvolaplayer.c"
}


NuvolaMain* nuvola_main_new (void) {
#line 201 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return nuvola_main_construct (NUVOLA_TYPE_MAIN);
#line 588 "nuvolaplayer.c"
}


/**
 * Called when application is about to be activated.
 * Initializes new instance or activated already
 * running instance.
 */
static void _nuvola_main_on_shutdown_g_application_shutdown (GApplication* _sender, gpointer self) {
#line 227 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_shutdown ((NuvolaMain*) self);
#line 600 "nuvolaplayer.c"
}


static void _nuvola_main_on_late_shutdown_g_application_shutdown (GApplication* _sender, gpointer self) {
#line 228 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_late_shutdown ((NuvolaMain*) self);
#line 607 "nuvolaplayer.c"
}


static void nuvola_main_activated (NuvolaMain* self) {
	NuvolaMainWindow* _tmp0_ = NULL;
#line 223 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 225 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->main_window;
#line 225 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ == NULL) {
#line 227 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_signal_connect_object ((GApplication*) self, "shutdown", (GCallback) _nuvola_main_on_shutdown_g_application_shutdown, self, 0);
#line 228 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_signal_connect_object ((GApplication*) self, "shutdown", (GCallback) _nuvola_main_on_late_shutdown_g_application_shutdown, self, G_CONNECT_AFTER);
#line 229 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_main_start (self);
#line 625 "nuvolaplayer.c"
	} else {
		NuvolaMainWindow* _tmp1_ = NULL;
#line 232 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = self->priv->main_window;
#line 232 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_window_present ((GtkWindow*) _tmp1_);
#line 632 "nuvolaplayer.c"
	}
}


/**
 * Start application
 */
static void _nuvola_main_on_service_installed_or_removed_nuvola_services_manager_service_installed (NuvolaServicesManager* _sender, const gchar* service_id, gpointer self) {
#line 287 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_service_installed_or_removed ((NuvolaMain*) self, service_id);
#line 643 "nuvolaplayer.c"
}


static void _nuvola_main_on_service_installed_or_removed_nuvola_services_manager_service_removed (NuvolaServicesManager* _sender, const gchar* service_id, gpointer self) {
#line 288 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_service_installed_or_removed ((NuvolaMain*) self, service_id);
#line 650 "nuvolaplayer.c"
}


static void _nuvola_main_on_download_started_nuvola_web_backend_download_started (NuvolaWebBackend* _sender, WebKitDownload* download, GFile* destination, gpointer self) {
#line 298 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_download_started ((NuvolaMain*) self, download, destination);
#line 657 "nuvolaplayer.c"
}


static void _nuvola_main_on_settings_changed_diorite_multi_type_map_value_changed (DioriteMultiTypeMap* _sender, const gchar* key, gpointer self) {
#line 300 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_settings_changed ((NuvolaMain*) self, key);
#line 664 "nuvolaplayer.c"
}


static void _nuvola_main_on_song_changed_nuvola_player_song_changed (NuvolaPlayer* _sender, const gchar* song, const gchar* artist, const gchar* album, const gchar* album_art, gpointer self) {
#line 301 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_song_changed ((NuvolaMain*) self, song, artist, album, album_art);
#line 671 "nuvolaplayer.c"
}


static void _nuvola_main_show_info_diorite_application_show_user_info (DioriteApplication* _sender, const gchar* title, const gchar* text, gpointer self) {
#line 306 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_show_info ((NuvolaMain*) self, title, text);
#line 678 "nuvolaplayer.c"
}


static void nuvola_main_start (NuvolaMain* self) {
	DioriteXdgStorage* _tmp0_ = NULL;
	DioriteStorage* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	NuvolaConfiguration* _tmp4_ = NULL;
	SoupLoggerLogLevel _tmp5_ = 0;
	gboolean _tmp6_ = FALSE;
	SoupLoggerLogLevel logging = 0;
	SoupSession* _tmp7_ = NULL;
	DioriteStorage* _tmp8_ = NULL;
	SoupLoggerLogLevel _tmp9_ = 0;
	DioriteConnection* _tmp10_ = NULL;
	DioriteStorage* _tmp11_ = NULL;
	GFile* _tmp12_ = NULL;
	GFile* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	NuvolaFormatSupport* _tmp16_ = NULL;
	DioriteStorage* _tmp17_ = NULL;
	NuvolaConfiguration* _tmp18_ = NULL;
	DioriteConnection* _tmp19_ = NULL;
	NuvolaFormatSupport* _tmp20_ = NULL;
	NuvolaCore* _tmp21_ = NULL;
	GtkUIManager* _tmp22_ = NULL;
	GtkUIManager* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	DioriteActions* _tmp26_ = NULL;
	DioriteActionGroups* _tmp27_ = NULL;
	DioriteStorage* _tmp28_ = NULL;
	GFile* _tmp29_ = NULL;
	GFile* _tmp30_ = NULL;
	DioriteMapFile* _tmp31_ = NULL;
	DioriteStorage* services_storage = NULL;
	DioriteStorage* _tmp32_ = NULL;
	DioriteStorage* _tmp33_ = NULL;
	gboolean allow_service_management = FALSE;
	gboolean _tmp34_ = FALSE;
	const gchar* _tmp35_ = NULL;
	DioriteStorage* _tmp61_ = NULL;
	gboolean _tmp62_ = FALSE;
	NuvolaServicesManager* _tmp63_ = NULL;
	NuvolaServicesManager* _tmp64_ = NULL;
	NuvolaServicesManager* _tmp65_ = NULL;
	DioriteStorage* _tmp66_ = NULL;
	DioriteStorage* _tmp67_ = NULL;
	DioriteStorage* _tmp68_ = NULL;
	DioriteActions* _tmp69_ = NULL;
	NuvolaMainWebView* _tmp70_ = NULL;
	DioriteStorage* _tmp71_ = NULL;
	NuvolaMainWebView* _tmp72_ = NULL;
	NuvolaConfiguration* _tmp73_ = NULL;
	DioriteMapFile* _tmp74_ = NULL;
	NuvolaFormatSupport* _tmp75_ = NULL;
	DioriteActions* _tmp76_ = NULL;
	NuvolaWebBackend* _tmp77_ = NULL;
	NuvolaWebBackend* _tmp78_ = NULL;
	gboolean _tmp79_ = FALSE;
	NuvolaWebBackend* _tmp80_ = NULL;
	NuvolaConfiguration* _tmp81_ = NULL;
	gboolean _tmp82_ = FALSE;
	gboolean _tmp83_ = FALSE;
	NuvolaWebBackend* _tmp84_ = NULL;
	NuvolaWebBackend* _tmp85_ = NULL;
	NuvolaConfiguration* _tmp86_ = NULL;
	DioriteStorage* _tmp87_ = NULL;
	DioriteConnection* _tmp88_ = NULL;
	DioriteActions* _tmp89_ = NULL;
	DioriteActionGroups* _tmp90_ = NULL;
	NuvolaWebPlayer* _tmp91_ = NULL;
	NuvolaConfiguration* _tmp92_ = NULL;
	NuvolaWebPlayer* _tmp93_ = NULL;
	NuvolaServiceUpdates* updates = NULL;
	NuvolaServicesManager* _tmp94_ = NULL;
	DioriteConnection* _tmp95_ = NULL;
	NuvolaConfiguration* _tmp96_ = NULL;
	gchar* _tmp97_ = NULL;
	gchar* _tmp98_ = NULL;
	gchar* _tmp99_ = NULL;
	gchar* _tmp100_ = NULL;
	gchar* _tmp101_ = NULL;
	NuvolaServiceUpdates* _tmp102_ = NULL;
	NuvolaServiceUpdates* _tmp103_ = NULL;
	NuvolaConfiguration* _tmp104_ = NULL;
	NuvolaMainWindow* _tmp105_ = NULL;
	NuvolaUpdatesService* _tmp106_ = NULL;
#line 239 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 241 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:241: Starting new instance");
#line 248 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = diorite_xdg_storage_new_for_project (CONFIG_APPNAME, "");
#line 248 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->storage);
#line 248 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->storage = (DioriteStorage*) _tmp0_;
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = self->priv->storage;
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = diorite_storage_get_config_path (_tmp1_, CONFIG_CONFIG_FILE);
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = _tmp2_;
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = nuvola_configuration_new (_tmp3_);
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->config);
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->config = _tmp4_;
#line 250 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (_tmp3_);
#line 251 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = nuvola_args_debug_http;
#line 251 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp6_) {
#line 251 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = SOUP_LOGGER_LOG_HEADERS;
#line 799 "nuvolaplayer.c"
	} else {
#line 251 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = SOUP_LOGGER_LOG_NONE;
#line 803 "nuvolaplayer.c"
	}
#line 251 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	logging = _tmp5_;
#line 252 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = webkit_get_default_session ();
#line 252 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp8_ = self->priv->storage;
#line 252 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp9_ = logging;
#line 252 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = diorite_connection_new_with_session (_tmp7_, _tmp8_, _tmp9_);
#line 252 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->connection);
#line 252 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->connection = _tmp10_;
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = self->priv->storage;
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = diorite_storage_get_data_file (_tmp11_, "audio/audiotest.mp3");
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp13_ = _tmp12_;
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = g_file_get_uri (_tmp13_);
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp15_ = _tmp14_;
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = nuvola_format_support_new (_tmp15_);
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->formats);
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->formats = _tmp16_;
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (_tmp15_);
#line 253 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (_tmp13_);
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp17_ = self->priv->storage;
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp18_ = self->priv->config;
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = self->priv->connection;
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp20_ = self->priv->formats;
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp21_ = nuvola_core_new ((DioriteApplication*) self, _tmp17_, _tmp18_, _tmp19_, _tmp20_);
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_nuvola_core_unref0 (self->priv->core);
#line 254 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->core = _tmp21_;
#line 259 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = gtk_ui_manager_new ();
#line 259 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->ui_manager);
#line 259 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->ui_manager = _tmp22_;
#line 260 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp23_ = self->priv->ui_manager;
#line 260 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp24_ = diorite_application_get_app_name ((DioriteApplication*) self);
#line 260 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp25_ = _tmp24_;
#line 260 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp26_ = diorite_actions_new (_tmp23_, _tmp25_);
#line 260 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->actions);
#line 260 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->actions = _tmp26_;
#line 261 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp27_ = diorite_action_groups_new ();
#line 261 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->action_groups);
#line 261 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->action_groups = _tmp27_;
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp28_ = self->priv->storage;
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp29_ = diorite_storage_get_config_path (_tmp28_, CONFIG_UI_STATE_FILE);
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp30_ = _tmp29_;
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp31_ = diorite_map_file_new (_tmp30_, FALSE);
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->ui_state);
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->ui_state = _tmp31_;
#line 262 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (_tmp30_);
#line 268 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp32_ = self->priv->storage;
#line 268 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp33_ = diorite_storage_get_child (_tmp32_, NUVOLA_SERVICES_DIRNAME);
#line 268 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	services_storage = _tmp33_;
#line 269 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	allow_service_management = TRUE;
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp35_ = nuvola_args_services_dir;
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp35_ != NULL) {
#line 903 "nuvolaplayer.c"
		const gchar* _tmp36_ = NULL;
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp36_ = nuvola_args_services_dir;
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp34_ = g_strcmp0 (_tmp36_, "") != 0;
#line 909 "nuvolaplayer.c"
	} else {
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp34_ = FALSE;
#line 913 "nuvolaplayer.c"
	}
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp34_) {
#line 917 "nuvolaplayer.c"
		GFile* services_dir = NULL;
		const gchar* _tmp37_ = NULL;
		GFile* _tmp38_ = NULL;
		GFile* _tmp39_ = NULL;
		gboolean _tmp40_ = FALSE;
#line 272 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp37_ = nuvola_args_services_dir;
#line 272 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp38_ = g_file_new_for_path (_tmp37_);
#line 272 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		services_dir = _tmp38_;
#line 273 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp39_ = services_dir;
#line 273 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp40_ = g_file_query_exists (_tmp39_, NULL);
#line 273 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (!_tmp40_) {
#line 935 "nuvolaplayer.c"
			const gchar* _tmp41_ = NULL;
#line 275 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp41_ = nuvola_args_services_dir;
#line 275 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_warning ("nuvolaplayer.vala:275: Services dir %s doesn't exist, ignoring.", _tmp41_);
#line 941 "nuvolaplayer.c"
		} else {
			GFile* _tmp42_ = NULL;
			gchar* _tmp43_ = NULL;
			gchar* _tmp44_ = NULL;
			GFile* _tmp45_ = NULL;
			gchar* _tmp46_ = NULL;
			gchar* _tmp47_ = NULL;
			gchar** _tmp48_ = NULL;
			gchar** _tmp49_ = NULL;
			gint _tmp49__length1 = 0;
			DioriteStorage* _tmp50_ = NULL;
			GFile* _tmp51_ = NULL;
			GFile* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
			DioriteStorage* _tmp55_ = NULL;
			GFile* _tmp56_ = NULL;
			GFile* _tmp57_ = NULL;
			gchar* _tmp58_ = NULL;
			gchar* _tmp59_ = NULL;
			DioriteStorage* _tmp60_ = NULL;
#line 279 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp42_ = services_dir;
#line 279 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp43_ = g_file_get_path (_tmp42_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp44_ = _tmp43_;
#line 279 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_debug ("nuvolaplayer.vala:279: Using services dir: %s", _tmp44_);
#line 279 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (_tmp44_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp45_ = services_dir;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp46_ = g_file_get_path (_tmp45_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp47_ = _tmp46_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp48_ = g_new0 (gchar*, 0 + 1);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp49_ = _tmp48_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp49__length1 = 0;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp50_ = services_storage;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp51_ = diorite_storage_get_user_config_dir (_tmp50_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp52_ = _tmp51_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp53_ = g_file_get_path (_tmp52_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp54_ = _tmp53_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp55_ = services_storage;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp56_ = diorite_storage_get_user_cache_dir (_tmp55_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp57_ = _tmp56_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp58_ = g_file_get_path (_tmp57_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp59_ = _tmp58_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp60_ = diorite_storage_new (_tmp47_, _tmp49_, 0, _tmp54_, _tmp59_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_object_unref0 (services_storage);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			services_storage = _tmp60_;
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (_tmp59_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (_tmp54_);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp49_ = (_vala_array_free (_tmp49_, _tmp49__length1, (GDestroyNotify) g_free), NULL);
#line 280 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (_tmp47_);
#line 283 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			allow_service_management = FALSE;
#line 1021 "nuvolaplayer.c"
		}
#line 270 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (services_dir);
#line 1025 "nuvolaplayer.c"
	}
#line 286 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp61_ = services_storage;
#line 286 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp62_ = allow_service_management;
#line 286 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp63_ = nuvola_services_manager_new (_tmp61_, _tmp62_);
#line 286 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->services_manager);
#line 286 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->services_manager = _tmp63_;
#line 287 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp64_ = self->priv->services_manager;
#line 287 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object (_tmp64_, "service-installed", (GCallback) _nuvola_main_on_service_installed_or_removed_nuvola_services_manager_service_installed, self, 0);
#line 288 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp65_ = self->priv->services_manager;
#line 288 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object (_tmp65_, "service-removed", (GCallback) _nuvola_main_on_service_installed_or_removed_nuvola_services_manager_service_removed, self, 0);
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp66_ = self->priv->storage;
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp67_ = diorite_storage_get_child (_tmp66_, "webkit");
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp68_ = _tmp67_;
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp69_ = self->priv->actions;
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp70_ = nuvola_main_web_view_new (_tmp68_, _tmp69_);
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp70_);
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->main_view);
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->main_view = _tmp70_;
#line 294 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (_tmp68_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp71_ = self->priv->storage;
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp72_ = self->priv->main_view;
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp73_ = self->priv->config;
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp74_ = self->priv->ui_state;
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp75_ = self->priv->formats;
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp76_ = self->priv->actions;
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp77_ = nuvola_web_backend_new ((DioriteApplication*) self, _tmp71_, _tmp72_, _tmp73_, _tmp74_, _tmp75_, _tmp76_);
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->web_backend);
#line 295 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->web_backend = _tmp77_;
#line 296 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp78_ = self->priv->web_backend;
#line 296 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp79_ = nuvola_args_no_web_plugins;
#line 296 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_web_backend_set_web_plugins (_tmp78_, !_tmp79_);
#line 297 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp80_ = self->priv->web_backend;
#line 297 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp81_ = self->priv->config;
#line 297 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp82_ = nuvola_configuration_get_web_plugins_blocker (_tmp81_);
#line 297 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp83_ = _tmp82_;
#line 297 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_web_backend_set_web_plugins_blocker (_tmp80_, _tmp83_);
#line 298 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp84_ = self->priv->web_backend;
#line 298 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object (_tmp84_, "download-started", (GCallback) _nuvola_main_on_download_started_nuvola_web_backend_download_started, self, 0);
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp85_ = self->priv->web_backend;
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp86_ = self->priv->config;
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp87_ = self->priv->storage;
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp88_ = self->priv->connection;
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp89_ = self->priv->actions;
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp90_ = self->priv->action_groups;
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp91_ = nuvola_web_player_new (_tmp85_, _tmp86_, _tmp87_, _tmp88_, _tmp89_, _tmp90_);
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->player);
#line 299 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->player = _tmp91_;
#line 300 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp92_ = self->priv->config;
#line 300 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object ((DioriteMultiTypeMap*) _tmp92_, "value-changed", (GCallback) _nuvola_main_on_settings_changed_diorite_multi_type_map_value_changed, self, 0);
#line 301 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp93_ = self->priv->player;
#line 301 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object ((NuvolaPlayer*) _tmp93_, "song-changed", (GCallback) _nuvola_main_on_song_changed_nuvola_player_song_changed, self, 0);
#line 306 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object ((DioriteApplication*) self, "show-user-info", (GCallback) _nuvola_main_show_info_diorite_application_show_user_info, self, 0);
#line 307 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_append_ui_actions (self);
#line 308 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_prepare_gui (self);
#line 309 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_load_extensions (self);
#line 310 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->loaded = TRUE;
#line 311 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_start_or_select_service (self);
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp94_ = self->priv->services_manager;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp95_ = self->priv->connection;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp96_ = self->priv->config;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp97_ = nuvola_configuration_get_updates_server (_tmp96_);
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp98_ = _tmp97_;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp99_ = _tmp98_;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp100_ = g_strdup_printf ("%d.%d", NUVOLA_JS_API_API_VERSION, NUVOLA_JS_API_API_VERSION_MINOR);
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp101_ = _tmp100_;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp102_ = nuvola_service_updates_new (_tmp94_, _tmp95_, _tmp99_, _tmp101_);
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp103_ = _tmp102_;
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (_tmp101_);
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (_tmp99_);
#line 313 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	updates = _tmp103_;
#line 316 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp104_ = self->priv->config;
#line 316 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp105_ = self->priv->main_window;
#line 316 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp106_ = nuvola_updates_service_new ((DioriteApplication*) self, _tmp104_, updates, _tmp105_);
#line 316 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->updates);
#line 316 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->updates = _tmp106_;
#line 239 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (updates);
#line 239 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (services_storage);
#line 1179 "nuvolaplayer.c"
}


/**
 * Show information to user
 * 
 * @param title    title of a message
 * @param text     text of a message
 */
void nuvola_main_show_info (NuvolaMain* self, const gchar* title, const gchar* text) {
	DioriteWidgetsInfoDialog* dialog = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	DioriteWidgetsInfoDialog* _tmp2_ = NULL;
	DioriteWidgetsInfoDialog* _tmp3_ = NULL;
#line 325 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 325 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (title != NULL);
#line 325 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (text != NULL);
#line 327 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = title;
#line 327 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = text;
#line 327 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = diorite_widgets_info_dialog_new (_tmp0_, _tmp1_);
#line 327 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp2_);
#line 327 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	dialog = _tmp2_;
#line 328 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = dialog;
#line 328 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_dialog_run ((GtkDialog*) _tmp3_);
#line 329 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	while (TRUE) {
#line 1217 "nuvolaplayer.c"
		gboolean _tmp4_ = FALSE;
#line 329 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = gtk_events_pending ();
#line 329 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (!_tmp4_) {
#line 329 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			break;
#line 1225 "nuvolaplayer.c"
		}
#line 330 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_main_iteration ();
#line 1229 "nuvolaplayer.c"
	}
#line 325 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (dialog);
#line 1233 "nuvolaplayer.c"
}


/**
 * Adds user interface actions related to main application object
 */
static void _diorite_application_quit_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_application_quit ((DioriteApplication*) self);
#line 1243 "nuvolaplayer.c"
}


static void _nuvola_main_select_service_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_select_service ((NuvolaMain*) self);
#line 1250 "nuvolaplayer.c"
}


static void _nuvola_core_purge_cookies_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_core_purge_cookies ((NuvolaCore*) self);
#line 1257 "nuvolaplayer.c"
}


static void _nuvola_main_purge_cache_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_purge_cache ((NuvolaMain*) self);
#line 1264 "nuvolaplayer.c"
}


static void _nuvola_main_purge_ui_state_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_purge_ui_state ((NuvolaMain*) self);
#line 1271 "nuvolaplayer.c"
}


static void _nuvola_core_purge_settings_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_core_purge_settings ((NuvolaCore*) self);
#line 1278 "nuvolaplayer.c"
}


static void _nuvola_main_format_support_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_format_support ((NuvolaMain*) self);
#line 1285 "nuvolaplayer.c"
}


static void _nuvola_main_edit_settings_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_edit_settings ((NuvolaMain*) self);
#line 1292 "nuvolaplayer.c"
}


static void _nuvola_main_edit_service_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_edit_service ((NuvolaMain*) self);
#line 1299 "nuvolaplayer.c"
}


static void _nuvola_main_edit_extensions_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_edit_extensions ((NuvolaMain*) self);
#line 1306 "nuvolaplayer.c"
}


static void _nuvola_main_open_support_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_open_support ((NuvolaMain*) self);
#line 1313 "nuvolaplayer.c"
}


static void _nuvola_main_about_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_about ((NuvolaMain*) self);
#line 1320 "nuvolaplayer.c"
}


static void _nuvola_main_open_release_notes_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_open_release_notes ((NuvolaMain*) self);
#line 1327 "nuvolaplayer.c"
}


static void _nuvola_main_open_downloads_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_open_downloads ((NuvolaMain*) self);
#line 1334 "nuvolaplayer.c"
}


static void _nuvola_main_show_updates_diorite_simple_action_callback (gpointer self) {
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_show_updates ((NuvolaMain*) self);
#line 1341 "nuvolaplayer.c"
}


static void nuvola_main_append_ui_actions (NuvolaMain* self) {
	DioriteActions* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	DioriteNormalAction* _tmp2_ = NULL;
	DioriteNormalAction* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	DioriteNormalAction* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	DioriteNormalAction* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	DioriteNormalAction* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	DioriteNormalAction* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	NuvolaCore* _tmp14_ = NULL;
	DioriteNormalAction* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	DioriteNormalAction* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	DioriteNormalAction* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	NuvolaCore* _tmp21_ = NULL;
	DioriteNormalAction* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	DioriteNormalAction* _tmp24_ = NULL;
	DioriteNormalAction* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	DioriteNormalAction* _tmp27_ = NULL;
	const gchar* _tmp28_ = NULL;
	DioriteNormalAction* _tmp29_ = NULL;
	const gchar* _tmp30_ = NULL;
	DioriteNormalAction* _tmp31_ = NULL;
	const gchar* _tmp32_ = NULL;
	DioriteNormalAction* _tmp33_ = NULL;
	DioriteNormalAction* _tmp34_ = NULL;
	const gchar* _tmp35_ = NULL;
	DioriteNormalAction* _tmp36_ = NULL;
	const gchar* _tmp37_ = NULL;
	DioriteNormalAction* _tmp38_ = NULL;
	const gchar* _tmp39_ = NULL;
	DioriteNormalAction* _tmp40_ = NULL;
	DioriteAction** _tmp41_ = NULL;
	DioriteAction** _tmp42_ = NULL;
	gint _tmp42__length1 = 0;
#line 336 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->actions;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = _ ("_Application");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = diorite_normal_action_new ("application", NULL, _tmp1_, NULL, NULL, NULL, NULL);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = diorite_normal_action_new ("quit", GTK_STOCK_QUIT, NULL, "<ctrl>Q", NULL, _diorite_application_quit_diorite_simple_action_callback, (DioriteApplication*) self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = _ ("_Switch Service");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = _ ("Switch service");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = diorite_normal_action_new ("switch-service", "nuvolaplayer", _tmp4_, "<ctrl>S", _tmp5_, _nuvola_main_select_service_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = _ ("_Go");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp8_ = diorite_normal_action_new ("go", NULL, _tmp7_, NULL, NULL, NULL, NULL);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp9_ = _ ("_Control");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = diorite_normal_action_new ("control", NULL, _tmp9_, NULL, NULL, NULL, NULL);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = _ ("_View");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = diorite_normal_action_new ("view", NULL, _tmp11_, NULL, NULL, NULL, NULL);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp13_ = _ ("Remove cookies");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = self->priv->core;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp15_ = diorite_normal_action_new (NUVOLA_ACTIONS_PURGE_COOKIES, NULL, _tmp13_, NULL, NULL, _nuvola_core_purge_cookies_diorite_simple_action_callback, _tmp14_);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = _ ("Remove files from cache");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp17_ = diorite_normal_action_new (NUVOLA_ACTIONS_PURGE_CACHE, NULL, _tmp16_, NULL, NULL, _nuvola_main_purge_cache_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp18_ = _ ("Reset state of user interface");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = diorite_normal_action_new (NUVOLA_ACTIONS_PURGE_UI_STATE, NULL, _tmp18_, NULL, NULL, _nuvola_main_purge_ui_state_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp20_ = _ ("Reset settings");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp21_ = self->priv->core;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = diorite_normal_action_new (NUVOLA_ACTIONS_PURGE_SETTINGS, NULL, _tmp20_, NULL, NULL, _nuvola_core_purge_settings_diorite_simple_action_callback, _tmp21_);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp23_ = _ ("Format support");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp24_ = diorite_normal_action_new ("format-support", NULL, _tmp23_, NULL, NULL, _nuvola_main_format_support_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp25_ = diorite_normal_action_new ("preferences", GTK_STOCK_PREFERENCES, NULL, NULL, NULL, _nuvola_main_edit_settings_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp26_ = _ ("Service settings");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp27_ = diorite_normal_action_new ("service-settings", NULL, _tmp26_, NULL, NULL, _nuvola_main_edit_service_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp28_ = _ ("Extensions settings");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp29_ = diorite_normal_action_new ("extensions-settings", GTK_STOCK_PREFERENCES, _tmp28_, NULL, NULL, _nuvola_main_edit_extensions_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp30_ = _ ("_Help");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp31_ = diorite_normal_action_new ("help", NULL, _tmp30_, NULL, NULL, NULL, NULL);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp32_ = _ ("Get help online");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp33_ = diorite_normal_action_new ("questions", GTK_STOCK_HELP, _tmp32_, NULL, NULL, _nuvola_main_open_support_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp34_ = diorite_normal_action_new ("about", GTK_STOCK_ABOUT, NULL, NULL, NULL, _nuvola_main_about_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp35_ = _ ("Release notes");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp36_ = diorite_normal_action_new ("website", GTK_STOCK_INFO, _tmp35_, "F1", NULL, _nuvola_main_open_release_notes_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp37_ = _ ("Downloads");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp38_ = diorite_normal_action_new ("downloads", NULL, _tmp37_, NULL, NULL, _nuvola_main_open_downloads_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp39_ = _ ("Service updates manager");
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp40_ = diorite_normal_action_new ("updates", NULL, _tmp39_, NULL, NULL, _nuvola_main_show_updates_diorite_simple_action_callback, self);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_ = g_new0 (DioriteAction*, 20 + 1);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[0] = (DioriteAction*) _tmp2_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[1] = (DioriteAction*) _tmp3_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[2] = (DioriteAction*) _tmp6_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[3] = (DioriteAction*) _tmp8_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[4] = (DioriteAction*) _tmp10_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[5] = (DioriteAction*) _tmp12_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[6] = (DioriteAction*) _tmp15_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[7] = (DioriteAction*) _tmp17_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[8] = (DioriteAction*) _tmp19_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[9] = (DioriteAction*) _tmp22_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[10] = (DioriteAction*) _tmp24_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[11] = (DioriteAction*) _tmp25_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[12] = (DioriteAction*) _tmp27_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[13] = (DioriteAction*) _tmp29_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[14] = (DioriteAction*) _tmp31_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[15] = (DioriteAction*) _tmp33_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[16] = (DioriteAction*) _tmp34_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[17] = (DioriteAction*) _tmp36_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[18] = (DioriteAction*) _tmp38_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_[19] = (DioriteAction*) _tmp40_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp42_ = _tmp41_;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp42__length1 = 20;
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_actions_add_actions (_tmp0_, _tmp42_, 20);
#line 337 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp42_ = (_vala_array_free (_tmp42_, _tmp42__length1, (GDestroyNotify) g_object_unref), NULL);
#line 1524 "nuvolaplayer.c"
}


/**
 * Load main graphical user interface
 */
static gpointer _g_object_ref0 (gpointer self) {
#line 385 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return self ? g_object_ref (self) : NULL;
#line 1534 "nuvolaplayer.c"
}


static void _nuvola_main_on_close_action_nuvola_main_window_close_action (NuvolaMainWindow* _sender, gpointer self) {
#line 388 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_close_action ((NuvolaMain*) self);
#line 1541 "nuvolaplayer.c"
}


static void _nuvola_main_on_populate_popup_webkit_web_view_populate_popup (WebKitWebView* _sender, GtkMenu* p0, gpointer self) {
#line 394 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_populate_popup ((NuvolaMain*) self, _sender, p0);
#line 1548 "nuvolaplayer.c"
}


static void nuvola_main_prepare_gui (NuvolaMain* self) {
	GtkSettings* settings = NULL;
	GtkSettings* _tmp0_ = NULL;
	GtkSettings* _tmp1_ = NULL;
	GtkSettings* _tmp2_ = NULL;
	NuvolaConfiguration* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	GtkUIManager* _tmp6_ = NULL;
	DioriteActions* _tmp7_ = NULL;
	DioriteStorage* _tmp8_ = NULL;
	DioriteMapFile* _tmp9_ = NULL;
	NuvolaMainWindow* _tmp10_ = NULL;
	NuvolaMainWindow* _tmp11_ = NULL;
	gboolean _tmp12_ = FALSE;
	gboolean _tmp14_ = FALSE;
	NuvolaMainWebView* _tmp16_ = NULL;
	NuvolaMainWindow* _tmp17_ = NULL;
	GtkScrolledWindow* _tmp18_ = NULL;
	GtkScrolledWindow* _tmp19_ = NULL;
	NuvolaMainWebView* _tmp20_ = NULL;
	NuvolaMainWindow* _tmp21_ = NULL;
	NuvolaMainWebView* _tmp22_ = NULL;
	NuvolaMainWindow* _tmp23_ = NULL;
#line 384 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 385 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = gtk_settings_get_default ();
#line 385 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 385 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	settings = _tmp1_;
#line 386 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = settings;
#line 386 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = self->priv->config;
#line 386 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = nuvola_configuration_get_dark_theme (_tmp3_);
#line 386 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = _tmp4_;
#line 386 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_set (_tmp2_, "gtk-application-prefer-dark-theme", _tmp5_, NULL);
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = self->priv->ui_manager;
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = self->priv->actions;
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp8_ = self->priv->storage;
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp9_ = self->priv->ui_state;
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = nuvola_main_window_new ((DioriteApplication*) self, _tmp6_, _tmp7_, _tmp8_, (DioriteMultiTypeMap*) _tmp9_);
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp10_);
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->main_window);
#line 387 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->main_window = _tmp10_;
#line 388 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = self->priv->main_window;
#line 388 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object (_tmp11_, "close-action", (GCallback) _nuvola_main_on_close_action_nuvola_main_window_close_action, self, G_CONNECT_AFTER);
#line 390 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = nuvola_args_debug_javascript;
#line 390 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp12_) {
#line 1618 "nuvolaplayer.c"
		NuvolaMainWebView* _tmp13_ = NULL;
#line 391 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp13_ = self->priv->main_view;
#line 391 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_web_view_set_developer_mode ((NuvolaWebView*) _tmp13_, TRUE);
#line 1624 "nuvolaplayer.c"
	}
#line 392 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = nuvola_args_debug_navigation;
#line 392 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp14_) {
#line 1630 "nuvolaplayer.c"
		NuvolaMainWebView* _tmp15_ = NULL;
#line 393 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp15_ = self->priv->main_view;
#line 393 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp15_->log_navigation = TRUE;
#line 1636 "nuvolaplayer.c"
	}
#line 394 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = self->priv->main_view;
#line 394 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object ((WebKitWebView*) _tmp16_, "populate-popup", (GCallback) _nuvola_main_on_populate_popup_webkit_web_view_populate_popup, self, 0);
#line 396 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp17_ = self->priv->main_window;
#line 396 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp18_ = nuvola_main_window_get_content (_tmp17_);
#line 396 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = _tmp18_;
#line 396 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp20_ = self->priv->main_view;
#line 396 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_container_add ((GtkContainer*) _tmp19_, (GtkWidget*) _tmp20_);
#line 397 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp21_ = self->priv->main_window;
#line 397 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_window_load_actions_ui (_tmp21_);
#line 398 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = self->priv->main_view;
#line 398 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp22_);
#line 399 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_update_window_title (self);
#line 401 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_donation_bar (self);
#line 403 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp23_ = self->priv->main_window;
#line 403 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp23_);
#line 384 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (settings);
#line 1670 "nuvolaplayer.c"
}


/**
 * Prepares resources for extensions and loads extensions.
 */
static void _g_free0_ (gpointer var) {
#line 410 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	var = (g_free (var), NULL);
#line 1680 "nuvolaplayer.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 410 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 1687 "nuvolaplayer.c"
}


static gpointer _g_hash_table_ref0 (gpointer self) {
#line 425 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return self ? g_hash_table_ref (self) : NULL;
#line 1694 "nuvolaplayer.c"
}


static void nuvola_main_load_extensions (NuvolaMain* self) {
	GHashTable* objects = NULL;
	GHashFunc _tmp0_ = NULL;
	GEqualFunc _tmp1_ = NULL;
	GHashTable* _tmp2_ = NULL;
	GHashTable* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GObject* _tmp5_ = NULL;
	GHashTable* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	NuvolaMainWindow* _tmp8_ = NULL;
	GObject* _tmp9_ = NULL;
	GHashTable* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	NuvolaMainWebView* _tmp12_ = NULL;
	GObject* _tmp13_ = NULL;
	GHashTable* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	NuvolaWebPlayer* _tmp16_ = NULL;
	GObject* _tmp17_ = NULL;
	GHashTable* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	DioriteActions* _tmp20_ = NULL;
	GObject* _tmp21_ = NULL;
	GHashTable* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	DioriteActionGroups* _tmp24_ = NULL;
	GObject* _tmp25_ = NULL;
	GHashTable* _tmp26_ = NULL;
	gchar* _tmp27_ = NULL;
	DioriteStorage* _tmp28_ = NULL;
	GObject* _tmp29_ = NULL;
	GHashTable* _tmp30_ = NULL;
	gchar* _tmp31_ = NULL;
	NuvolaConfiguration* _tmp32_ = NULL;
	GObject* _tmp33_ = NULL;
	GHashTable* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	DioriteMapFile* _tmp36_ = NULL;
	GObject* _tmp37_ = NULL;
	GHashTable* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	NuvolaServicesManager* _tmp40_ = NULL;
	GObject* _tmp41_ = NULL;
	GHashTable* _tmp42_ = NULL;
	gchar* _tmp43_ = NULL;
	NuvolaWebBackend* _tmp44_ = NULL;
	GObject* _tmp45_ = NULL;
	GHashTable* _tmp46_ = NULL;
	NuvolaObjectContainer* _tmp47_ = NULL;
	GtkUIManager* _tmp48_ = NULL;
	NuvolaMainWindow* _tmp49_ = NULL;
	NuvolaObjectContainer* _tmp50_ = NULL;
	NuvolaExtensionsManager* _tmp51_ = NULL;
	GHashTable* available_extensions = NULL;
	NuvolaExtensionsManager* _tmp52_ = NULL;
	GHashTable* _tmp53_ = NULL;
	GHashTable* _tmp54_ = NULL;
	GHashTable* _tmp55_ = NULL;
	GHashTable* _tmp56_ = NULL;
	GList* _tmp57_ = NULL;
#line 409 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 410 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = g_str_hash;
#line 410 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = g_str_equal;
#line 410 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = g_hash_table_new_full (_tmp0_, _tmp1_, _g_free0_, _g_object_unref0_);
#line 410 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	objects = _tmp2_;
#line 411 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = objects;
#line 411 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = g_strdup ("application");
#line 411 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = _g_object_ref0 ((GObject*) self);
#line 411 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp3_, _tmp4_, _tmp5_);
#line 412 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = objects;
#line 412 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = g_strdup ("main_window");
#line 412 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp8_ = self->priv->main_window;
#line 412 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp9_ = _g_object_ref0 ((GObject*) _tmp8_);
#line 412 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp6_, _tmp7_, _tmp9_);
#line 413 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = objects;
#line 413 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = g_strdup ("main_view");
#line 413 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = self->priv->main_view;
#line 413 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp13_ = _g_object_ref0 ((GObject*) _tmp12_);
#line 413 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp10_, _tmp11_, _tmp13_);
#line 414 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = objects;
#line 414 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp15_ = g_strdup ("player");
#line 414 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = self->priv->player;
#line 414 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp17_ = _g_object_ref0 ((GObject*) _tmp16_);
#line 414 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp14_, _tmp15_, _tmp17_);
#line 415 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp18_ = objects;
#line 415 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = g_strdup ("actions");
#line 415 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp20_ = self->priv->actions;
#line 415 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp21_ = _g_object_ref0 ((GObject*) _tmp20_);
#line 415 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp18_, _tmp19_, _tmp21_);
#line 416 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = objects;
#line 416 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp23_ = g_strdup ("action_groups");
#line 416 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp24_ = self->priv->action_groups;
#line 416 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp25_ = _g_object_ref0 ((GObject*) _tmp24_);
#line 416 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp22_, _tmp23_, _tmp25_);
#line 417 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp26_ = objects;
#line 417 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp27_ = g_strdup ("storage");
#line 417 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp28_ = self->priv->storage;
#line 417 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp29_ = _g_object_ref0 ((GObject*) _tmp28_);
#line 417 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp26_, _tmp27_, _tmp29_);
#line 418 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp30_ = objects;
#line 418 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp31_ = g_strdup ("config");
#line 418 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp32_ = self->priv->config;
#line 418 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp33_ = _g_object_ref0 ((GObject*) _tmp32_);
#line 418 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp30_, _tmp31_, _tmp33_);
#line 419 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp34_ = objects;
#line 419 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp35_ = g_strdup ("ui_state");
#line 419 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp36_ = self->priv->ui_state;
#line 419 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp37_ = _g_object_ref0 ((GObject*) _tmp36_);
#line 419 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp34_, _tmp35_, _tmp37_);
#line 420 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp38_ = objects;
#line 420 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp39_ = g_strdup ("services_manager");
#line 420 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp40_ = self->priv->services_manager;
#line 420 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp41_ = _g_object_ref0 ((GObject*) _tmp40_);
#line 420 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp38_, _tmp39_, _tmp41_);
#line 421 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp42_ = objects;
#line 421 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp43_ = g_strdup ("web_backend");
#line 421 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp44_ = self->priv->web_backend;
#line 421 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp45_ = _g_object_ref0 ((GObject*) _tmp44_);
#line 421 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_hash_table_insert (_tmp42_, _tmp43_, _tmp45_);
#line 422 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp46_ = objects;
#line 422 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp47_ = nuvola_object_container_new (_tmp46_);
#line 422 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_nuvola_object_container_unref0 (self->priv->objects);
#line 422 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->objects = _tmp47_;
#line 424 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp48_ = self->priv->ui_manager;
#line 424 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp49_ = self->priv->main_window;
#line 424 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp50_ = self->priv->objects;
#line 424 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp51_ = nuvola_extensions_manager_new (_tmp48_, _tmp49_, _tmp50_);
#line 424 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_nuvola_extensions_manager_unref0 (self->priv->extensions);
#line 424 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->extensions = _tmp51_;
#line 425 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp52_ = self->priv->extensions;
#line 425 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp53_ = nuvola_extensions_manager_get_available_extensions (_tmp52_);
#line 425 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp54_ = _tmp53_;
#line 425 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp55_ = _g_hash_table_ref0 (_tmp54_);
#line 425 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	available_extensions = _tmp55_;
#line 426 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp56_ = available_extensions;
#line 426 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp57_ = g_hash_table_get_keys (_tmp56_);
#line 1911 "nuvolaplayer.c"
	{
		GList* key_collection = NULL;
		GList* key_it = NULL;
#line 426 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		key_collection = _tmp57_;
#line 426 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 1919 "nuvolaplayer.c"
			const gchar* key = NULL;
#line 426 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			key = (const gchar*) key_it->data;
#line 1923 "nuvolaplayer.c"
			{
				NuvolaConfiguration* _tmp58_ = NULL;
				const gchar* _tmp59_ = NULL;
				gchar* _tmp60_ = NULL;
				gchar* _tmp61_ = NULL;
				GHashTable* _tmp62_ = NULL;
				const gchar* _tmp63_ = NULL;
				gconstpointer _tmp64_ = NULL;
				gboolean _tmp65_ = FALSE;
				gboolean _tmp66_ = FALSE;
				gboolean _tmp67_ = FALSE;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp58_ = self->priv->config;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp59_ = key;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp60_ = g_strdup_printf ("extension.%s.enabled", _tmp59_);
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp61_ = _tmp60_;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp62_ = available_extensions;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp63_ = key;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp64_ = g_hash_table_lookup (_tmp62_, _tmp63_);
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp65_ = (*((NuvolaExtensionInfo*) _tmp64_)).autoload;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp66_ = diorite_multi_type_map_get_bool ((DioriteMultiTypeMap*) _tmp58_, _tmp61_, _tmp65_);
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp67_ = _tmp66_;
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_g_free0 (_tmp61_);
#line 427 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				if (_tmp67_) {
#line 1959 "nuvolaplayer.c"
					NuvolaExtensionsManager* _tmp68_ = NULL;
					const gchar* _tmp69_ = NULL;
#line 428 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp68_ = self->priv->extensions;
#line 428 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp69_ = key;
#line 428 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					nuvola_extensions_manager_load (_tmp68_, _tmp69_);
#line 1968 "nuvolaplayer.c"
				}
			}
		}
#line 426 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_list_free0 (key_collection);
#line 1974 "nuvolaplayer.c"
	}
#line 409 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_hash_table_unref0 (available_extensions);
#line 409 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_hash_table_unref0 (objects);
#line 1980 "nuvolaplayer.c"
}


/**
 * Starts last service or shows service selector
 */
static void nuvola_main_start_or_select_service (NuvolaMain* self) {
	DioriteMapFile* _tmp0_ = NULL;
	DioriteMapFile* _tmp1_ = NULL;
	gchar* service_id = NULL;
	DioriteMapFile* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	DioriteActions* _tmp10_ = NULL;
	NuvolaNoServiceOverlay* _tmp11_ = NULL;
	NuvolaNoServiceOverlay* _tmp12_ = NULL;
	NuvolaMainWindow* _tmp13_ = NULL;
	GtkOverlay* _tmp14_ = NULL;
	GtkOverlay* _tmp15_ = NULL;
	NuvolaNoServiceOverlay* _tmp16_ = NULL;
#line 434 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 435 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->ui_state;
#line 435 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp0_, "release", CONFIG_SERIES);
#line 436 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = self->priv->ui_state;
#line 436 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp1_, "dev_channel", CONFIG_DEV_STAGE);
#line 437 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = self->priv->ui_state;
#line 437 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp2_, NUVOLA_LAST_SERVICE_KEY);
#line 437 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	service_id = (gchar*) _tmp3_;
#line 438 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = service_id;
#line 438 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp4_ != NULL) {
#line 2021 "nuvolaplayer.c"
		NuvolaService* new_service = NULL;
		NuvolaServicesManager* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		NuvolaService* _tmp7_ = NULL;
		NuvolaService* _tmp8_ = NULL;
#line 440 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = self->priv->services_manager;
#line 440 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = service_id;
#line 440 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = nuvola_services_manager_get_service (_tmp5_, _tmp6_);
#line 440 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		new_service = _tmp7_;
#line 441 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = new_service;
#line 441 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp8_ != NULL) {
#line 2039 "nuvolaplayer.c"
			NuvolaService* _tmp9_ = NULL;
#line 443 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp9_ = new_service;
#line 443 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			nuvola_main_load_service (self, _tmp9_);
#line 444 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_object_unref0 (new_service);
#line 444 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (service_id);
#line 444 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			return;
#line 2051 "nuvolaplayer.c"
		}
#line 438 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (new_service);
#line 2055 "nuvolaplayer.c"
	}
#line 447 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = self->priv->actions;
#line 447 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = nuvola_no_service_overlay_new (_tmp10_);
#line 447 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp11_);
#line 447 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->no_service_overlay);
#line 447 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->no_service_overlay = _tmp11_;
#line 448 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = self->priv->no_service_overlay;
#line 448 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_show ((GtkWidget*) _tmp12_);
#line 449 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp13_ = self->priv->main_window;
#line 449 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = nuvola_main_window_get_overlay (_tmp13_);
#line 449 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp15_ = _tmp14_;
#line 449 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = self->priv->no_service_overlay;
#line 449 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_overlay_add_overlay (_tmp15_, (GtkWidget*) _tmp16_);
#line 434 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (service_id);
#line 2083 "nuvolaplayer.c"
}


static void nuvola_main_reload_service (NuvolaMain* self, const gchar* service_id) {
	NuvolaService* new_service = NULL;
	NuvolaServicesManager* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	NuvolaService* _tmp2_ = NULL;
	NuvolaService* _tmp3_ = NULL;
#line 452 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 452 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (service_id != NULL);
#line 454 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->services_manager;
#line 454 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = service_id;
#line 454 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = nuvola_services_manager_get_service (_tmp0_, _tmp1_);
#line 454 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	new_service = _tmp2_;
#line 455 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = new_service;
#line 455 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp3_ != NULL) {
#line 2109 "nuvolaplayer.c"
		NuvolaService* _tmp4_ = NULL;
#line 457 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = new_service;
#line 457 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_main_load_service (self, _tmp4_);
#line 2115 "nuvolaplayer.c"
	} else {
		NuvolaWebPlayer* _tmp5_ = NULL;
		NuvolaWebBackend* _tmp7_ = NULL;
		NuvolaMainWebView* _tmp8_ = NULL;
		NuvolaMainWebView* _tmp9_ = NULL;
		DioriteActions* _tmp10_ = NULL;
		NuvolaNoServiceOverlay* _tmp11_ = NULL;
		NuvolaNoServiceOverlay* _tmp12_ = NULL;
		NuvolaMainWindow* _tmp13_ = NULL;
		GtkOverlay* _tmp14_ = NULL;
		GtkOverlay* _tmp15_ = NULL;
		NuvolaNoServiceOverlay* _tmp16_ = NULL;
#line 461 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = self->priv->player;
#line 461 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp5_ != NULL) {
#line 2132 "nuvolaplayer.c"
			NuvolaWebPlayer* _tmp6_ = NULL;
#line 462 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp6_ = self->priv->player;
#line 462 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			nuvola_player_pause ((NuvolaPlayer*) _tmp6_);
#line 2138 "nuvolaplayer.c"
		}
#line 463 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = self->priv->web_backend;
#line 463 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_web_backend_load_service (_tmp7_, NULL);
#line 464 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = self->priv->main_view;
#line 464 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_main_web_view_set_service (_tmp8_, NULL);
#line 465 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (self->priv->service);
#line 465 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		self->priv->service = NULL;
#line 466 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = self->priv->main_view;
#line 466 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		webkit_web_view_open ((WebKitWebView*) _tmp9_, "about:blank");
#line 467 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp10_ = self->priv->actions;
#line 467 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp11_ = nuvola_no_service_overlay_new (_tmp10_);
#line 467 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_object_ref_sink (_tmp11_);
#line 467 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (self->priv->no_service_overlay);
#line 467 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		self->priv->no_service_overlay = _tmp11_;
#line 468 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp12_ = self->priv->no_service_overlay;
#line 468 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_widget_show ((GtkWidget*) _tmp12_);
#line 469 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp13_ = self->priv->main_window;
#line 469 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp14_ = nuvola_main_window_get_overlay (_tmp13_);
#line 469 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp15_ = _tmp14_;
#line 469 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp16_ = self->priv->no_service_overlay;
#line 469 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_overlay_add_overlay (_tmp15_, (GtkWidget*) _tmp16_);
#line 2180 "nuvolaplayer.c"
	}
#line 452 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (new_service);
#line 2184 "nuvolaplayer.c"
}


/**
 * Loads service
 */
static void nuvola_main_load_service (NuvolaMain* self, NuvolaService* new_service) {
	NuvolaService* _tmp0_ = NULL;
	NuvolaService* _tmp1_ = NULL;
	NuvolaWebBackend* _tmp2_ = NULL;
	NuvolaService* _tmp3_ = NULL;
#line 475 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 475 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (new_service != NULL);
#line 476 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = new_service;
#line 476 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 476 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->service);
#line 476 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->service = _tmp1_;
#line 477 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = self->priv->web_backend;
#line 477 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = new_service;
#line 477 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_web_backend_load_service (_tmp2_, _tmp3_);
#line 2214 "nuvolaplayer.c"
}


/**
 * Show service selector
 */
static void _nuvola_main_on_selector_response_nuvola_services_manager_view_response (NuvolaServicesManagerView* _sender, gint response_id, gpointer self) {
#line 509 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_selector_response ((NuvolaMain*) self, response_id);
#line 2224 "nuvolaplayer.c"
}


void nuvola_main_select_service (NuvolaMain* self) {
	NuvolaServiceSelectorDialog* _tmp0_ = NULL;
	NuvolaPreferencesWindow* _tmp3_ = NULL;
	const gchar* _tmp5_ = NULL;
	NuvolaService* _tmp6_ = NULL;
	gchar* current_service = NULL;
	gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	GFile* template = NULL;
	DioriteStorage* _tmp13_ = NULL;
	GFile* _tmp14_ = NULL;
	NuvolaServicesManagerView* view = NULL;
	const gchar* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	GFile* _tmp17_ = NULL;
	NuvolaServicesManager* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	NuvolaServicesManagerView* _tmp20_ = NULL;
	NuvolaServicesManagerView* _tmp21_ = NULL;
	NuvolaServiceSelectorDialog* _tmp22_ = NULL;
	NuvolaServicesManagerView* _tmp23_ = NULL;
	NuvolaServiceSelectorDialog* _tmp24_ = NULL;
	NuvolaMainWindow* _tmp25_ = NULL;
	NuvolaServiceSelectorDialog* _tmp26_ = NULL;
#line 483 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 484 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->selector;
#line 484 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ != NULL) {
#line 2259 "nuvolaplayer.c"
		NuvolaService* _tmp1_ = NULL;
#line 486 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = self->priv->service;
#line 486 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp1_ != NULL) {
#line 488 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			nuvola_main_destroy_selector (self);
#line 2267 "nuvolaplayer.c"
		} else {
			NuvolaServiceSelectorDialog* _tmp2_ = NULL;
#line 492 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp2_ = self->priv->selector;
#line 492 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_window_present ((GtkWindow*) _tmp2_);
#line 2274 "nuvolaplayer.c"
		}
#line 494 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 2278 "nuvolaplayer.c"
	}
#line 497 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = self->priv->preferences_window;
#line 497 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp3_ != NULL) {
#line 2284 "nuvolaplayer.c"
		NuvolaPreferencesWindow* _tmp4_ = NULL;
#line 500 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = self->priv->preferences_window;
#line 500 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_preferences_window_close (_tmp4_);
#line 2290 "nuvolaplayer.c"
	}
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = self->priv->service;
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp6_ != NULL) {
#line 2296 "nuvolaplayer.c"
		NuvolaService* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = self->priv->service;
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = nuvola_service_get_id (_tmp7_);
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = _tmp8_;
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = _tmp9_;
#line 2308 "nuvolaplayer.c"
	} else {
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = NULL;
#line 2312 "nuvolaplayer.c"
	}
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = g_strdup (_tmp5_);
#line 503 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	current_service = _tmp10_;
#line 504 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = current_service;
#line 504 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = _tmp12_;
#line 504 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp11_ == NULL) {
#line 504 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp11_ = "(none)";
#line 2326 "nuvolaplayer.c"
	}
#line 504 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:504: Select service, prev = %s", _tmp11_);
#line 505 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp13_ = self->priv->storage;
#line 505 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = diorite_storage_get_data_file (_tmp13_, "html/Service.html");
#line 505 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	template = _tmp14_;
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp15_ = diorite_application_get_icon ((DioriteApplication*) self);
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = _tmp15_;
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp17_ = template;
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp18_ = self->priv->services_manager;
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = current_service;
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp20_ = nuvola_services_manager_view_new (_tmp16_, _tmp17_, _tmp18_, _tmp19_);
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp20_);
#line 506 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	view = _tmp20_;
#line 508 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp21_ = view;
#line 508 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = nuvola_service_selector_dialog_new ((DioriteApplication*) self, _tmp21_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp22_);
#line 508 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->selector);
#line 508 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->selector = _tmp22_;
#line 509 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp23_ = view;
#line 509 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object (_tmp23_, "response", (GCallback) _nuvola_main_on_selector_response_nuvola_services_manager_view_response, self, 0);
#line 510 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp24_ = self->priv->selector;
#line 510 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp25_ = self->priv->main_window;
#line 510 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_window_set_transient_for ((GtkWindow*) _tmp24_, (GtkWindow*) _tmp25_);
#line 511 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp26_ = self->priv->selector;
#line 511 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp26_);
#line 483 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (view);
#line 483 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (template);
#line 483 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (current_service);
#line 2382 "nuvolaplayer.c"
}


/**
 * Called when service is selected
 */
static void nuvola_main_on_selector_response (NuvolaMain* self, gint response_id) {
	NuvolaService* new_service = NULL;
	NuvolaServiceSelectorDialog* _tmp0_ = NULL;
	NuvolaServicesManagerView* _tmp1_ = NULL;
	NuvolaServicesManagerView* _tmp2_ = NULL;
	NuvolaService* _tmp3_ = NULL;
	NuvolaService* _tmp4_ = NULL;
	NuvolaService* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gint _tmp7_ = 0;
#line 517 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->selector;
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = nuvola_service_selector_dialog_get_view (_tmp0_);
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = _tmp1_;
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = nuvola_services_manager_view_get_service (_tmp2_);
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = _tmp3_;
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 519 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	new_service = _tmp5_;
#line 520 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_destroy_selector (self);
#line 521 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = response_id;
#line 521 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp7_ == ((gint) GTK_RESPONSE_OK)) {
#line 2421 "nuvolaplayer.c"
		gboolean _tmp8_ = FALSE;
		NuvolaService* _tmp9_ = NULL;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = self->priv->service;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp9_ == NULL) {
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp8_ = TRUE;
#line 2430 "nuvolaplayer.c"
		} else {
			NuvolaService* _tmp10_ = NULL;
			const gchar* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			NuvolaService* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp10_ = self->priv->service;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp11_ = nuvola_service_get_id (_tmp10_);
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp12_ = _tmp11_;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp13_ = new_service;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp14_ = nuvola_service_get_id (_tmp13_);
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp15_ = _tmp14_;
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp8_ = g_strcmp0 (_tmp12_, _tmp15_) != 0;
#line 2452 "nuvolaplayer.c"
		}
#line 522 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = _tmp8_;
#line 2456 "nuvolaplayer.c"
	} else {
#line 521 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = FALSE;
#line 2460 "nuvolaplayer.c"
	}
#line 521 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp6_) {
#line 2464 "nuvolaplayer.c"
		gboolean _tmp16_ = FALSE;
		NuvolaService* _tmp17_ = NULL;
		NuvolaService* _tmp24_ = NULL;
		DioriteMapFile* _tmp25_ = NULL;
		NuvolaService* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		const gchar* _tmp28_ = NULL;
#line 524 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp17_ = self->priv->service;
#line 524 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp17_ == NULL) {
#line 2476 "nuvolaplayer.c"
			NuvolaNoServiceOverlay* _tmp18_ = NULL;
#line 524 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp18_ = self->priv->no_service_overlay;
#line 524 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp16_ = _tmp18_ != NULL;
#line 2482 "nuvolaplayer.c"
		} else {
#line 524 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp16_ = FALSE;
#line 2486 "nuvolaplayer.c"
		}
#line 524 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp16_) {
#line 2490 "nuvolaplayer.c"
			NuvolaMainWindow* _tmp19_ = NULL;
			GtkOverlay* _tmp20_ = NULL;
			GtkOverlay* _tmp21_ = NULL;
			NuvolaNoServiceOverlay* _tmp22_ = NULL;
			NuvolaNoServiceOverlay* _tmp23_ = NULL;
#line 526 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp19_ = self->priv->main_window;
#line 526 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp20_ = nuvola_main_window_get_overlay (_tmp19_);
#line 526 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp21_ = _tmp20_;
#line 526 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp22_ = self->priv->no_service_overlay;
#line 526 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_container_remove ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp22_);
#line 527 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp23_ = self->priv->no_service_overlay;
#line 527 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_widget_destroy ((GtkWidget*) _tmp23_);
#line 528 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_object_unref0 (self->priv->no_service_overlay);
#line 528 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			self->priv->no_service_overlay = NULL;
#line 2514 "nuvolaplayer.c"
		}
#line 531 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp24_ = new_service;
#line 531 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_main_load_service (self, _tmp24_);
#line 532 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp25_ = self->priv->ui_state;
#line 532 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp26_ = new_service;
#line 532 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp27_ = nuvola_service_get_id (_tmp26_);
#line 532 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp28_ = _tmp27_;
#line 532 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp25_, NUVOLA_LAST_SERVICE_KEY, _tmp28_);
#line 2530 "nuvolaplayer.c"
	}
#line 517 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (new_service);
#line 2534 "nuvolaplayer.c"
}


/**
 * Destroys the Service selector screen
 */
static void nuvola_main_destroy_selector (NuvolaMain* self) {
	NuvolaServiceSelectorDialog* _tmp0_ = NULL;
	NuvolaServiceSelectorDialog* _tmp1_ = NULL;
	NuvolaServicesManagerView* _tmp2_ = NULL;
	NuvolaServicesManagerView* _tmp3_ = NULL;
	guint _tmp4_ = 0U;
	NuvolaServiceSelectorDialog* _tmp5_ = NULL;
#line 539 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 540 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->selector;
#line 540 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (_tmp0_ != NULL);
#line 541 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = self->priv->selector;
#line 541 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = nuvola_service_selector_dialog_get_view (_tmp1_);
#line 541 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = _tmp2_;
#line 541 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_parse_name ("response", NUVOLA_TYPE_SERVICES_MANAGER_VIEW, &_tmp4_, NULL, FALSE);
#line 541 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_handlers_disconnect_matched (_tmp3_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp4_, 0, NULL, (GCallback) _nuvola_main_on_selector_response_nuvola_services_manager_view_response, self);
#line 542 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = self->priv->selector;
#line 542 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp5_);
#line 543 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->selector);
#line 543 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->selector = NULL;
#line 2572 "nuvolaplayer.c"
}


/**
 * Opens About dialog.
 */
static void nuvola_main_about (NuvolaMain* self) {
	NuvolaAboutDialog* dialog = NULL;
	NuvolaAboutDialog* _tmp0_ = NULL;
#line 549 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 550 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = nuvola_about_dialog_new ((DioriteApplication*) self);
#line 550 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp0_);
#line 550 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	dialog = _tmp0_;
#line 551 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_dialog_run ((GtkDialog*) dialog);
#line 552 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_destroy ((GtkWidget*) dialog);
#line 549 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (dialog);
#line 2596 "nuvolaplayer.c"
}


/**
 * Opens Preferences dialog with General tab selected.
 */
static void nuvola_main_edit_settings (NuvolaMain* self) {
#line 558 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 559 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_show_preferences (self, NUVOLA_PREFERENCES_TAB_GENERAL);
#line 2608 "nuvolaplayer.c"
}


/**
 * Opens Preferences dialog with Service tab selected.
 */
static void nuvola_main_edit_service (NuvolaMain* self) {
#line 565 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 566 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_show_preferences (self, NUVOLA_PREFERENCES_TAB_SERVICE);
#line 2620 "nuvolaplayer.c"
}


/**
 * Opens Preferences dialog with Extensions tab selected.
 */
static void nuvola_main_edit_extensions (NuvolaMain* self) {
#line 572 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 573 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_show_preferences (self, NUVOLA_PREFERENCES_TAB_EXTENSIONS);
#line 2632 "nuvolaplayer.c"
}


/**
 * Opens Preferences dialog
 * 
 * @param tab	a tab to be initially visible
 */
static void _nuvola_main_on_preferences_window_response_gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self) {
#line 589 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_preferences_window_response ((NuvolaMain*) self, response_id);
#line 2644 "nuvolaplayer.c"
}


static void nuvola_main_show_preferences (NuvolaMain* self, NuvolaPreferencesTab tab) {
	NuvolaPreferencesWindow* _tmp0_ = NULL;
	NuvolaObjectContainer* _tmp2_ = NULL;
	NuvolaWebBackend* _tmp3_ = NULL;
	DioriteStorage* _tmp4_ = NULL;
	DioriteConnection* _tmp5_ = NULL;
	NuvolaServicesManager* _tmp6_ = NULL;
	NuvolaExtensionsManager* _tmp7_ = NULL;
	NuvolaPreferencesTab _tmp8_ = 0;
	NuvolaPreferencesWindow* _tmp9_ = NULL;
	NuvolaPreferencesWindow* _tmp10_ = NULL;
	NuvolaPreferencesWindow* _tmp11_ = NULL;
#line 581 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 582 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->preferences_window;
#line 582 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ != NULL) {
#line 2666 "nuvolaplayer.c"
		NuvolaPreferencesWindow* _tmp1_ = NULL;
#line 583 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = self->priv->preferences_window;
#line 583 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_window_present ((GtkWindow*) _tmp1_);
#line 584 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 2674 "nuvolaplayer.c"
	}
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = self->priv->objects;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = self->priv->web_backend;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = self->priv->storage;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = self->priv->connection;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = self->priv->services_manager;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = self->priv->extensions;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp8_ = tab;
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp9_ = nuvola_preferences_window_new (_tmp2_, _tmp3_, (DioriteApplication*) self, _tmp4_, _tmp5_, _tmp6_, _tmp7_, _tmp8_);
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp9_);
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->preferences_window);
#line 587 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->preferences_window = _tmp9_;
#line 588 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = self->priv->preferences_window;
#line 588 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_window_present ((GtkWindow*) _tmp10_);
#line 589 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp11_ = self->priv->preferences_window;
#line 589 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_connect_object ((GtkDialog*) _tmp11_, "response", (GCallback) _nuvola_main_on_preferences_window_response_gtk_dialog_response, self, 0);
#line 2706 "nuvolaplayer.c"
}


static void nuvola_main_on_preferences_window_response (NuvolaMain* self, gint response_id) {
	NuvolaPreferencesWindow* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 592 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 593 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->preferences_window;
#line 593 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ == NULL) {
#line 593 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 2721 "nuvolaplayer.c"
	}
#line 594 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = response_id;
#line 594 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp1_ == ((gint) GTK_RESPONSE_HELP)) {
#line 595 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		diorite_system_open_uri_with_fallback (CONFIG_PREFERENCES_HELP_URL);
#line 2729 "nuvolaplayer.c"
	} else {
		NuvolaPreferencesWindow* _tmp2_ = NULL;
#line 598 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp2_ = self->priv->preferences_window;
#line 598 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_preferences_window_close (_tmp2_);
#line 599 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (self->priv->preferences_window);
#line 599 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		self->priv->preferences_window = NULL;
#line 2740 "nuvolaplayer.c"
	}
}


/**
 * Opens project support page
 */
static void nuvola_main_open_support (NuvolaMain* self) {
#line 606 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 607 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_system_open_uri_with_fallback (CONFIG_SUPPORT_URL);
#line 2753 "nuvolaplayer.c"
}


/**
 * Opens release notes for current release
 */
static void nuvola_main_open_release_notes (NuvolaMain* self) {
#line 613 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 614 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_system_open_uri_with_fallback (CONFIG_SERIES_URL);
#line 2765 "nuvolaplayer.c"
}


/**
 * Called when application is about to be terminated
 */
void nuvola_main_on_shutdown (NuvolaMain* self) {
	NuvolaWebPlayer* _tmp0_ = NULL;
	NuvolaPreferencesWindow* _tmp2_ = NULL;
	gboolean _tmp4_ = FALSE;
	NuvolaMainWindow* _tmp5_ = NULL;
	NuvolaExtensionsManager* _tmp10_ = NULL;
#line 620 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 621 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:621: Early shutdown");
#line 622 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->player;
#line 622 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ != NULL) {
#line 2786 "nuvolaplayer.c"
		NuvolaWebPlayer* _tmp1_ = NULL;
#line 623 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = self->priv->player;
#line 623 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_player_pause ((NuvolaPlayer*) _tmp1_);
#line 2792 "nuvolaplayer.c"
	}
#line 626 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = self->priv->preferences_window;
#line 626 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp2_ != NULL) {
#line 2798 "nuvolaplayer.c"
		NuvolaPreferencesWindow* _tmp3_ = NULL;
#line 627 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = self->priv->preferences_window;
#line 627 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_preferences_window_close (_tmp3_);
#line 628 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (self->priv->preferences_window);
#line 628 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		self->priv->preferences_window = NULL;
#line 2808 "nuvolaplayer.c"
	}
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = self->priv->main_window;
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp5_ != NULL) {
#line 2814 "nuvolaplayer.c"
		NuvolaMainWindow* _tmp6_ = NULL;
		gboolean _tmp7_ = FALSE;
		gboolean _tmp8_ = FALSE;
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = self->priv->main_window;
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = gtk_widget_get_visible ((GtkWidget*) _tmp6_);
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = _tmp7_;
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = _tmp8_;
#line 2826 "nuvolaplayer.c"
	} else {
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = FALSE;
#line 2830 "nuvolaplayer.c"
	}
#line 631 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp4_) {
#line 2834 "nuvolaplayer.c"
		NuvolaMainWindow* _tmp9_ = NULL;
#line 632 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = self->priv->main_window;
#line 632 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_widget_hide ((GtkWidget*) _tmp9_);
#line 2840 "nuvolaplayer.c"
	}
#line 635 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp10_ = self->priv->extensions;
#line 635 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_extensions_manager_unload_all (_tmp10_);
#line 2846 "nuvolaplayer.c"
}


/**
 * Called when application is about to be terminated,
 * but after all early callbacks
 */
void nuvola_main_on_late_shutdown (NuvolaMain* self) {
	DioriteMapFile* _tmp0_ = NULL;
	DioriteMapFile* _tmp1_ = NULL;
	GError * _inner_error_ = NULL;
#line 642 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 643 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->ui_state;
#line 643 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (_tmp0_ != NULL);
#line 644 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_debug ("nuvolaplayer.vala:644: Late shutdown");
#line 645 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = self->priv->ui_state;
#line 645 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_multi_type_map_set_bool ((DioriteMultiTypeMap*) _tmp1_, NUVOLA_APP_CRASHED, FALSE);
#line 2870 "nuvolaplayer.c"
	{
		DioriteMapFile* _tmp2_ = NULL;
#line 648 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp2_ = self->priv->ui_state;
#line 648 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		diorite_serializable_save ((DioriteSerializable*) _tmp2_, &_inner_error_);
#line 648 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2879 "nuvolaplayer.c"
			goto __catch1_g_error;
		}
#line 649 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_debug ("nuvolaplayer.vala:649: User interface state saved.");
#line 2884 "nuvolaplayer.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		e = _inner_error_;
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_inner_error_ = NULL;
#line 653 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = e;
#line 653 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = _tmp3_->message;
#line 653 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_warning ("nuvolaplayer.vala:653: Unable to save UI state: %s", _tmp4_);
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_error_free0 (e);
#line 2904 "nuvolaplayer.c"
	}
	__finally1:
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_clear_error (&_inner_error_);
#line 646 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 2915 "nuvolaplayer.c"
	}
}


/**
 * Called when the main window is about to be closed.
 */
static void nuvola_main_on_close_action (NuvolaMain* self) {
	DioriteOptionState hide = 0;
	NuvolaConfiguration* _tmp0_ = NULL;
	DioriteOptionState _tmp1_ = 0;
	DioriteOptionState _tmp2_ = 0;
	gboolean _tmp3_ = FALSE;
	DioriteOptionState _tmp4_ = 0;
#line 660 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 662 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->config;
#line 662 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = nuvola_configuration_get_hide_window (_tmp0_);
#line 662 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = _tmp1_;
#line 662 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	hide = _tmp2_;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = hide;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp4_ == DIORITE_OPTION_STATE_OFF) {
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = TRUE;
#line 2946 "nuvolaplayer.c"
	} else {
		gboolean _tmp5_ = FALSE;
		DioriteOptionState _tmp6_ = 0;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = hide;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp6_ == DIORITE_OPTION_STATE_AUTO) {
#line 2954 "nuvolaplayer.c"
			NuvolaWebPlayer* _tmp7_ = NULL;
			const gchar* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp7_ = self->priv->player;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp8_ = nuvola_player_get_playback_state ((NuvolaPlayer*) _tmp7_);
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp9_ = _tmp8_;
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp5_ = g_strcmp0 (_tmp9_, NUVOLA_STATE_PLAYING) != 0;
#line 2966 "nuvolaplayer.c"
		} else {
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp5_ = FALSE;
#line 2970 "nuvolaplayer.c"
		}
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = _tmp5_;
#line 2974 "nuvolaplayer.c"
	}
#line 663 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp3_) {
#line 665 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_debug ("nuvolaplayer.vala:665: On close: quit");
#line 666 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		diorite_application_quit ((DioriteApplication*) self);
#line 2982 "nuvolaplayer.c"
	} else {
#line 670 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_debug ("nuvolaplayer.vala:670: On close: hide");
#line 2986 "nuvolaplayer.c"
	}
}


static void nuvola_main_on_donate_button_clicked (NuvolaMain* self) {
#line 674 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 676 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	diorite_system_open_uri_with_fallback (CONFIG_DONATE_URL);
#line 2996 "nuvolaplayer.c"
}


static void nuvola_main_on_service_installed_or_removed (NuvolaMain* self, const gchar* service_id) {
	gboolean _tmp0_ = FALSE;
	NuvolaService* _tmp1_ = NULL;
#line 679 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 679 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (service_id != NULL);
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = self->priv->service;
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp1_ != NULL) {
#line 3011 "nuvolaplayer.c"
		NuvolaService* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp2_ = self->priv->service;
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = nuvola_service_get_id (_tmp2_);
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = _tmp3_;
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = service_id;
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp0_ = g_strcmp0 (_tmp4_, _tmp5_) == 0;
#line 3026 "nuvolaplayer.c"
	} else {
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp0_ = FALSE;
#line 3030 "nuvolaplayer.c"
	}
#line 681 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_) {
#line 3034 "nuvolaplayer.c"
		const gchar* _tmp6_ = NULL;
#line 682 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = service_id;
#line 682 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_main_reload_service (self, _tmp6_);
#line 3040 "nuvolaplayer.c"
	}
}


/**
 * Purge user interface state and show request to restart application.
 */
static void nuvola_main_purge_ui_state (NuvolaMain* self) {
	gboolean _tmp3_ = FALSE;
	GError * _inner_error_ = NULL;
#line 688 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 3053 "nuvolaplayer.c"
	{
		DioriteMapFile* _tmp0_ = NULL;
#line 690 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp0_ = self->priv->ui_state;
#line 690 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		diorite_serializable_purge ((DioriteSerializable*) _tmp0_, &_inner_error_);
#line 690 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3062 "nuvolaplayer.c"
			goto __catch2_g_error;
		}
	}
	goto __finally2;
	__catch2_g_error:
	{
		GError* e = NULL;
		GError* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		e = _inner_error_;
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_inner_error_ = NULL;
#line 693 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = e;
#line 693 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp2_ = _tmp1_->message;
#line 693 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_critical ("nuvolaplayer.vala:693: Unable to purge UI state: %s", _tmp2_);
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_error_free0 (e);
#line 3084 "nuvolaplayer.c"
	}
	__finally2:
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_clear_error (&_inner_error_);
#line 689 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 3095 "nuvolaplayer.c"
	}
#line 696 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = self->priv->loaded;
#line 696 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp3_) {
#line 3101 "nuvolaplayer.c"
		NuvolaMainWebView* _tmp4_ = NULL;
		DioriteWidgetsInfoDialog* dialog = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		DioriteWidgetsInfoDialog* _tmp7_ = NULL;
		DioriteWidgetsInfoDialog* _tmp8_ = NULL;
#line 697 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = self->priv->main_view;
#line 697 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		nuvola_main_web_view_go_home (_tmp4_);
#line 699 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = _ ("Default settings were restored.");
#line 699 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = _ ("Please restart application to finish the process.");
#line 699 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = diorite_widgets_info_dialog_new (_tmp5_, _tmp6_);
#line 699 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_object_ref_sink (_tmp7_);
#line 699 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		dialog = _tmp7_;
#line 702 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = dialog;
#line 702 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_dialog_run ((GtkDialog*) _tmp8_);
#line 696 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (dialog);
#line 3128 "nuvolaplayer.c"
	}
}


static void _nuvola_main_donation_bar_callback_soup_session_callback (SoupSession* session, SoupMessage* msg, gpointer self) {
#line 711 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_donation_bar_callback ((NuvolaMain*) self, session, msg);
#line 3136 "nuvolaplayer.c"
}


static void nuvola_main_donation_bar (NuvolaMain* self) {
	SoupMessage* message = NULL;
	SoupMessage* _tmp0_ = NULL;
	SoupSession* session = NULL;
	SoupSession* _tmp1_ = NULL;
	SoupSession* _tmp2_ = NULL;
	SoupMessage* _tmp3_ = NULL;
#line 706 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 709 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = soup_message_new ("GET", "https://www.gittip.com/NuvolaPlayer/public.json");
#line 709 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (message);
#line 709 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	message = _tmp0_;
#line 710 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = webkit_get_default_session ();
#line 710 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 710 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	session = _tmp2_;
#line 711 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = _g_object_ref0 (message);
#line 711 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	soup_session_queue_message (session, _tmp3_, _nuvola_main_donation_bar_callback_soup_session_callback, self);
#line 706 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (session);
#line 706 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (message);
#line 3169 "nuvolaplayer.c"
}


static void _vala_SoupBuffer_free (SoupBuffer* self) {
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_boxed_free (soup_buffer_get_type (), self);
#line 3176 "nuvolaplayer.c"
}


static JsonNode* _vala_JsonNode_copy (JsonNode* self) {
#line 728 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return g_boxed_copy (json_node_get_type (), self);
#line 3183 "nuvolaplayer.c"
}


static gpointer __vala_JsonNode_copy0 (gpointer self) {
#line 728 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return self ? _vala_JsonNode_copy (self) : NULL;
#line 3190 "nuvolaplayer.c"
}


static void _vala_JsonNode_free (JsonNode* self) {
#line 732 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_boxed_free (json_node_get_type (), self);
#line 3197 "nuvolaplayer.c"
}


static gpointer _json_object_ref0 (gpointer self) {
#line 735 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return self ? json_object_ref (self) : NULL;
#line 3204 "nuvolaplayer.c"
}


static gdouble double_parse (const gchar* str) {
	gdouble result = 0.0;
	const gchar* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 787 "/builddir/build/BUILD/nuvolaplayer-2.4.3/external/vala-0.22/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0.0);
#line 788 "/builddir/build/BUILD/nuvolaplayer-2.4.3/external/vala-0.22/glib-2.0.vapi"
	_tmp0_ = str;
#line 788 "/builddir/build/BUILD/nuvolaplayer-2.4.3/external/vala-0.22/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtod (_tmp0_, NULL);
#line 788 "/builddir/build/BUILD/nuvolaplayer-2.4.3/external/vala-0.22/glib-2.0.vapi"
	result = _tmp1_;
#line 788 "/builddir/build/BUILD/nuvolaplayer-2.4.3/external/vala-0.22/glib-2.0.vapi"
	return result;
#line 3222 "nuvolaplayer.c"
}


static void _nuvola_main_on_donate_button_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 769 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_on_donate_button_clicked ((NuvolaMain*) self);
#line 3229 "nuvolaplayer.c"
}


static void nuvola_main_donation_bar_callback (NuvolaMain* self, SoupSession* session, SoupMessage* message) {
	gchar* response = NULL;
	SoupMessage* _tmp0_ = NULL;
	SoupMessageBody* _tmp1_ = NULL;
	SoupBuffer* _tmp2_ = NULL;
	SoupBuffer* _tmp3_ = NULL;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	JsonParser* parser = NULL;
	JsonParser* _tmp7_ = NULL;
	JsonNode* root_node = NULL;
	JsonParser* _tmp12_ = NULL;
	JsonNode* _tmp13_ = NULL;
	JsonNode* _tmp14_ = NULL;
	gboolean _tmp15_ = FALSE;
	JsonNode* _tmp16_ = NULL;
	JsonObject* root_object = NULL;
	JsonNode* _tmp19_ = NULL;
	JsonObject* _tmp20_ = NULL;
	JsonObject* _tmp21_ = NULL;
	gchar* goal = NULL;
	JsonNode* member = NULL;
	JsonObject* _tmp22_ = NULL;
	gboolean _tmp23_ = FALSE;
	gchar* receiving = NULL;
	JsonObject* _tmp34_ = NULL;
	gboolean _tmp35_ = FALSE;
	gchar* text = NULL;
	gboolean _tmp46_ = FALSE;
	const gchar* _tmp47_ = NULL;
	GError * _inner_error_ = NULL;
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (session != NULL);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (message != NULL);
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = message;
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = _tmp0_->response_body;
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = soup_message_body_flatten (_tmp1_);
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = _tmp2_;
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = _tmp3_->data;
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4__length1 = (gint) _tmp3_->length;
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = g_strdup ((const gchar*) _tmp4_);
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = _tmp5_;
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	__vala_SoupBuffer_free0 (_tmp3_);
#line 716 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	response = _tmp6_;
#line 717 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = json_parser_new ();
#line 717 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	parser = _tmp7_;
#line 3296 "nuvolaplayer.c"
	{
		JsonParser* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 720 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = parser;
#line 720 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = response;
#line 720 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		json_parser_load_from_data (_tmp8_, _tmp9_, (gssize) (-1), &_inner_error_);
#line 720 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3308 "nuvolaplayer.c"
			goto __catch3_g_error;
		}
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		e = _inner_error_;
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_inner_error_ = NULL;
#line 724 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp10_ = e;
#line 724 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp11_ = _tmp10_->message;
#line 724 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_warning ("nuvolaplayer.vala:724: Unexpected response from Gittip: invalid JSON d" \
"ocument. %s", _tmp11_);
#line 725 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_error_free0 (e);
#line 725 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (parser);
#line 725 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (response);
#line 725 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 3336 "nuvolaplayer.c"
	}
	__finally3:
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (parser);
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (response);
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_clear_error (&_inner_error_);
#line 718 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 3351 "nuvolaplayer.c"
	}
#line 728 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp12_ = parser;
#line 728 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp13_ = json_parser_get_root (_tmp12_);
#line 728 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp14_ = __vala_JsonNode_copy0 (_tmp13_);
#line 728 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	root_node = _tmp14_;
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp16_ = root_node;
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp16_ == NULL) {
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp15_ = TRUE;
#line 3367 "nuvolaplayer.c"
	} else {
		JsonNode* _tmp17_ = NULL;
		JsonNodeType _tmp18_ = 0;
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp17_ = root_node;
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp18_ = json_node_get_node_type (_tmp17_);
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp15_ = _tmp18_ != JSON_NODE_OBJECT;
#line 3377 "nuvolaplayer.c"
	}
#line 729 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp15_) {
#line 731 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_warning ("nuvolaplayer.vala:731: Unexpected response from Gittip: invalid JSON d" \
"ocument");
#line 732 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		__vala_JsonNode_free0 (root_node);
#line 732 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (parser);
#line 732 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (response);
#line 732 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		return;
#line 3391 "nuvolaplayer.c"
	}
#line 735 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp19_ = root_node;
#line 735 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp20_ = json_node_get_object (_tmp19_);
#line 735 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp21_ = _json_object_ref0 (_tmp20_);
#line 735 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	root_object = _tmp21_;
#line 737 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	goal = NULL;
#line 739 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp22_ = root_object;
#line 739 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp23_ = json_object_has_member (_tmp22_, "goal");
#line 739 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp23_) {
#line 3409 "nuvolaplayer.c"
		JsonObject* _tmp24_ = NULL;
		JsonNode* _tmp25_ = NULL;
		JsonNode* _tmp26_ = NULL;
		gboolean _tmp27_ = FALSE;
		JsonNode* _tmp28_ = NULL;
		JsonNodeType _tmp29_ = 0;
#line 741 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp24_ = root_object;
#line 741 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp25_ = json_object_get_member (_tmp24_, "goal");
#line 741 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp26_ = __vala_JsonNode_copy0 (_tmp25_);
#line 741 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		__vala_JsonNode_free0 (member);
#line 741 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		member = _tmp26_;
#line 742 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp28_ = member;
#line 742 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp29_ = json_node_get_node_type (_tmp28_);
#line 742 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp29_ == JSON_NODE_VALUE) {
#line 3432 "nuvolaplayer.c"
			JsonNode* _tmp30_ = NULL;
			GType _tmp31_ = 0UL;
#line 743 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp30_ = member;
#line 743 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp31_ = json_node_get_value_type (_tmp30_);
#line 743 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp27_ = _tmp31_ == G_TYPE_STRING;
#line 3441 "nuvolaplayer.c"
		} else {
#line 742 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp27_ = FALSE;
#line 3445 "nuvolaplayer.c"
		}
#line 742 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp27_) {
#line 3449 "nuvolaplayer.c"
			JsonNode* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
#line 745 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp32_ = member;
#line 745 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp33_ = json_node_dup_string (_tmp32_);
#line 745 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (goal);
#line 745 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			goal = _tmp33_;
#line 3460 "nuvolaplayer.c"
		}
	}
#line 749 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	receiving = NULL;
#line 750 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp34_ = root_object;
#line 750 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp35_ = json_object_has_member (_tmp34_, "receiving");
#line 750 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp35_) {
#line 3471 "nuvolaplayer.c"
		JsonObject* _tmp36_ = NULL;
		JsonNode* _tmp37_ = NULL;
		JsonNode* _tmp38_ = NULL;
		gboolean _tmp39_ = FALSE;
		JsonNode* _tmp40_ = NULL;
		JsonNodeType _tmp41_ = 0;
#line 752 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp36_ = root_object;
#line 752 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp37_ = json_object_get_member (_tmp36_, "receiving");
#line 752 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp38_ = __vala_JsonNode_copy0 (_tmp37_);
#line 752 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		__vala_JsonNode_free0 (member);
#line 752 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		member = _tmp38_;
#line 753 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp40_ = member;
#line 753 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp41_ = json_node_get_node_type (_tmp40_);
#line 753 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp41_ == JSON_NODE_VALUE) {
#line 3494 "nuvolaplayer.c"
			JsonNode* _tmp42_ = NULL;
			GType _tmp43_ = 0UL;
#line 754 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp42_ = member;
#line 754 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp43_ = json_node_get_value_type (_tmp42_);
#line 754 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp39_ = _tmp43_ == G_TYPE_STRING;
#line 3503 "nuvolaplayer.c"
		} else {
#line 753 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp39_ = FALSE;
#line 3507 "nuvolaplayer.c"
		}
#line 753 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp39_) {
#line 3511 "nuvolaplayer.c"
			JsonNode* _tmp44_ = NULL;
			gchar* _tmp45_ = NULL;
#line 756 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp44_ = member;
#line 756 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp45_ = json_node_dup_string (_tmp44_);
#line 756 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (receiving);
#line 756 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			receiving = _tmp45_;
#line 3522 "nuvolaplayer.c"
		}
	}
#line 760 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	text = NULL;
#line 761 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp47_ = receiving;
#line 761 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp47_ != NULL) {
#line 3531 "nuvolaplayer.c"
		const gchar* _tmp48_ = NULL;
#line 761 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp48_ = goal;
#line 761 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp46_ = _tmp48_ != NULL;
#line 3537 "nuvolaplayer.c"
	} else {
#line 761 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp46_ = FALSE;
#line 3541 "nuvolaplayer.c"
	}
#line 761 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp46_) {
#line 3545 "nuvolaplayer.c"
		gint percentage = 0;
		const gchar* _tmp49_ = NULL;
		gdouble _tmp50_ = 0.0;
		const gchar* _tmp51_ = NULL;
		gdouble _tmp52_ = 0.0;
		gint _tmp53_ = 0;
#line 763 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp49_ = receiving;
#line 763 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp50_ = double_parse (_tmp49_);
#line 763 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp51_ = goal;
#line 763 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp52_ = double_parse (_tmp51_);
#line 763 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		percentage = (gint) ((100 * _tmp50_) / _tmp52_);
#line 764 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp53_ = percentage;
#line 764 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp53_ < 100) {
#line 3566 "nuvolaplayer.c"
			const gchar* _tmp54_ = NULL;
			const gchar* _tmp55_ = NULL;
			gchar* _tmp56_ = NULL;
			DioriteInfoBar* donate_bar = NULL;
			const gchar* _tmp57_ = NULL;
			DioriteInfoBar* _tmp58_ = NULL;
			GtkButton* donate_button = NULL;
			const gchar* _tmp59_ = NULL;
			GtkButton* _tmp60_ = NULL;
			GtkButton* _tmp61_ = NULL;
			DioriteInfoBar* _tmp62_ = NULL;
			GtkButton* _tmp63_ = NULL;
			NuvolaMainWindow* _tmp64_ = NULL;
			GtkBox* _tmp65_ = NULL;
			GtkBox* _tmp66_ = NULL;
			DioriteInfoBar* _tmp67_ = NULL;
			DioriteInfoBar* _tmp68_ = NULL;
#line 766 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp54_ = receiving;
#line 766 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp55_ = goal;
#line 766 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp56_ = g_strdup_printf ("<b>Nuvola Player is currently receiving $%s of the $%s weekly funding " \
"goal.</b>\n" \
"Please donate to help keep Nuvola Player going.", _tmp54_, _tmp55_);
#line 766 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_free0 (text);
#line 766 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			text = _tmp56_;
#line 767 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp57_ = text;
#line 767 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp58_ = diorite_info_bar_new_info (_tmp57_, TRUE);
#line 767 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_object_ref_sink (_tmp58_);
#line 767 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			donate_bar = _tmp58_;
#line 768 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp59_ = _ ("Make a donation");
#line 768 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp60_ = (GtkButton*) gtk_button_new_with_label (_tmp59_);
#line 768 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_object_ref_sink (_tmp60_);
#line 768 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			donate_button = _tmp60_;
#line 769 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp61_ = donate_button;
#line 769 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			g_signal_connect_object (_tmp61_, "clicked", (GCallback) _nuvola_main_on_donate_button_clicked_gtk_button_clicked, self, 0);
#line 770 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp62_ = donate_bar;
#line 770 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp63_ = donate_button;
#line 770 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			diorite_info_bar_add_button (_tmp62_, _tmp63_);
#line 771 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp64_ = self->priv->main_window;
#line 771 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp65_ = nuvola_main_window_get_box (_tmp64_);
#line 771 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp66_ = _tmp65_;
#line 771 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp67_ = donate_bar;
#line 771 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_box_pack_end (_tmp66_, (GtkWidget*) _tmp67_, FALSE, TRUE, (guint) 0);
#line 772 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp68_ = donate_bar;
#line 772 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_widget_show ((GtkWidget*) _tmp68_);
#line 764 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_object_unref0 (donate_button);
#line 764 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_g_object_unref0 (donate_bar);
#line 3638 "nuvolaplayer.c"
		}
	}
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (text);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (receiving);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	__vala_JsonNode_free0 (member);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (goal);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_json_object_unref0 (root_object);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	__vala_JsonNode_free0 (root_node);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (parser);
#line 714 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_free0 (response);
#line 3657 "nuvolaplayer.c"
}


static void nuvola_main_purge_cache (NuvolaMain* self) {
#line 777 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 779 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_do_purge_cache (self, NULL, NULL);
#line 3666 "nuvolaplayer.c"
}


static void nuvola_main_do_purge_cache_data_free (gpointer _data) {
	NuvolaMainDoPurgeCacheData* _data_;
	_data_ = _data;
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (_data_->self);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_slice_free (NuvolaMainDoPurgeCacheData, _data_);
#line 3677 "nuvolaplayer.c"
}


static void nuvola_main_do_purge_cache (NuvolaMain* self, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	NuvolaMainDoPurgeCacheData* _data_;
	NuvolaMain* _tmp0_ = NULL;
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_ = g_slice_new0 (NuvolaMainDoPurgeCacheData);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, nuvola_main_do_purge_cache);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, nuvola_main_do_purge_cache_data_free);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->self = _tmp0_;
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_do_purge_cache_co (_data_);
#line 3696 "nuvolaplayer.c"
}


static void nuvola_main_do_purge_cache_finish (NuvolaMain* self, GAsyncResult* _res_) {
	NuvolaMainDoPurgeCacheData* _data_;
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 3704 "nuvolaplayer.c"
}


static gboolean _nuvola_main_do_purge_cache_co_gsource_func (gpointer self) {
	gboolean result;
	result = nuvola_main_do_purge_cache_co (self);
#line 796 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return result;
#line 3713 "nuvolaplayer.c"
}


static void nuvola_main_do_purge_cache_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	NuvolaMainDoPurgeCacheData* _data_;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_ = _user_data_;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_source_object_ = source_object;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_res_ = _res_;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_do_purge_cache_co (_data_);
#line 3727 "nuvolaplayer.c"
}


static gboolean nuvola_main_do_purge_cache_co (NuvolaMainDoPurgeCacheData* _data_) {
#line 782 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	switch (_data_->_state_) {
#line 782 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		case 0:
#line 3736 "nuvolaplayer.c"
		goto _state_0;
#line 782 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		case 1:
#line 3740 "nuvolaplayer.c"
		goto _state_1;
#line 782 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		case 2:
#line 3744 "nuvolaplayer.c"
		goto _state_2;
		default:
#line 782 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_assert_not_reached ();
#line 3749 "nuvolaplayer.c"
	}
	_state_0:
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp0_ = NULL;
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp0_ = g_object_new (GTK_TYPE_MESSAGE_DIALOG, "title", "", "modal", TRUE, "message-type", GTK_MESSAGE_INFO, NULL);
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp1_ = NULL;
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp1_ = G_IS_INITIALLY_UNOWNED (_data_->_tmp0_) ? g_object_ref_sink (_data_->_tmp0_) : _data_->_tmp0_;
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->dialog = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp1_, GTK_TYPE_MESSAGE_DIALOG, GtkMessageDialog);
#line 790 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp2_ = NULL;
#line 790 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp2_ = _data_->dialog;
#line 790 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp3_ = NULL;
#line 790 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp3_ = _ ("Remove files from cache");
#line 790 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_set (_data_->_tmp2_, "text", _data_->_tmp3_, NULL);
#line 792 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp4_ = NULL;
#line 792 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp4_ = _data_->dialog;
#line 792 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp5_ = NULL;
#line 792 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp5_ = _ ("Operation is in progress. Please wait.");
#line 792 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_set (_data_->_tmp4_, "secondary-text", _data_->_tmp5_, NULL);
#line 793 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp6_ = NULL;
#line 793 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp6_ = _data_->dialog;
#line 793 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_show_all ((GtkWidget*) _data_->_tmp6_);
#line 794 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	while (TRUE) {
#line 794 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_data_->_tmp7_ = FALSE;
#line 794 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_data_->_tmp7_ = gtk_events_pending ();
#line 794 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (!_data_->_tmp7_) {
#line 794 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			break;
#line 3798 "nuvolaplayer.c"
		}
#line 795 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_main_iteration ();
#line 3802 "nuvolaplayer.c"
	}
#line 796 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, _nuvola_main_do_purge_cache_co_gsource_func, _data_, NULL);
#line 797 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_state_ = 1;
#line 797 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return FALSE;
#line 3810 "nuvolaplayer.c"
	_state_1:
	;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp8_ = NULL;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp8_ = _data_->self->priv->core;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_state_ = 2;
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_core_purge_cache (_data_->_tmp8_, nuvola_main_do_purge_cache_ready, _data_);
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return FALSE;
#line 3823 "nuvolaplayer.c"
	_state_2:
#line 798 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_core_purge_cache_finish (_data_->_tmp8_, _data_->_res_);
#line 799 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp9_ = NULL;
#line 799 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp9_ = _data_->dialog;
#line 799 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_widget_destroy ((GtkWidget*) _data_->_tmp9_);
#line 800 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp10_ = NULL;
#line 800 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp10_ = _ ("Cache has been purged.");
#line 800 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp11_ = NULL;
#line 800 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_data_->_tmp11_ = _ ("You can reload the page to get fresh data.");
#line 800 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_signal_emit_by_name ((DioriteApplication*) _data_->self, "show-user-info", _data_->_tmp10_, _data_->_tmp11_);
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (_data_->dialog);
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_data_->_state_ == 0) {
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 3849 "nuvolaplayer.c"
	} else {
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 3853 "nuvolaplayer.c"
	}
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_unref (_data_->_async_result);
#line 784 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	return FALSE;
#line 3859 "nuvolaplayer.c"
}


/**
 * Called when settings have been changed.
 */
static void nuvola_main_on_settings_changed (NuvolaMain* self, const gchar* key) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GQuark _tmp3_ = 0U;
#line 809 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 809 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (key != NULL);
#line 810 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = key;
#line 810 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = _tmp0_;
#line 810 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 810 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp3_ == g_quark_from_string (NUVOLA_SETTINGS_WEB_PLUGINS_BLOCKER)) {
#line 810 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		switch (0) {
#line 3884 "nuvolaplayer.c"
			default:
			{
				NuvolaWebBackend* _tmp4_ = NULL;
				NuvolaConfiguration* _tmp5_ = NULL;
				gboolean _tmp6_ = FALSE;
				gboolean _tmp7_ = FALSE;
#line 812 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp4_ = self->priv->web_backend;
#line 812 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp5_ = self->priv->config;
#line 812 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp6_ = nuvola_configuration_get_web_plugins_blocker (_tmp5_);
#line 812 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp7_ = _tmp6_;
#line 812 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				nuvola_web_backend_set_web_plugins_blocker (_tmp4_, _tmp7_);
#line 813 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				break;
#line 3903 "nuvolaplayer.c"
			}
		}
	} else if (_tmp3_ == g_quark_from_string (NUVOLA_SETTINGS_DARK_THEME)) {
#line 810 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		switch (0) {
#line 3909 "nuvolaplayer.c"
			default:
			{
				GtkSettings* settings = NULL;
				GtkSettings* _tmp8_ = NULL;
				GtkSettings* _tmp9_ = NULL;
				GtkSettings* _tmp10_ = NULL;
				NuvolaConfiguration* _tmp11_ = NULL;
				gboolean _tmp12_ = FALSE;
				gboolean _tmp13_ = FALSE;
#line 815 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp8_ = gtk_settings_get_default ();
#line 815 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp9_ = _g_object_ref0 (_tmp8_);
#line 815 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				settings = _tmp9_;
#line 816 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp10_ = settings;
#line 816 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp11_ = self->priv->config;
#line 816 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp12_ = nuvola_configuration_get_dark_theme (_tmp11_);
#line 816 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp13_ = _tmp12_;
#line 816 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				g_object_set (_tmp10_, "gtk-application-prefer-dark-theme", _tmp13_, NULL);
#line 817 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_g_object_unref0 (settings);
#line 817 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				break;
#line 3939 "nuvolaplayer.c"
			}
		}
	}
}


static void nuvola_main_on_song_changed (NuvolaMain* self, const gchar* song, const gchar* artist, const gchar* album, const gchar* album_art) {
#line 821 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 822 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_update_window_title (self);
#line 3951 "nuvolaplayer.c"
}


static void nuvola_main_format_support (NuvolaMain* self) {
	NuvolaFormatSupportDialog* dialog = NULL;
	NuvolaFormatSupport* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	NuvolaFormatSupport* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	DioriteStorage* _tmp6_ = NULL;
	NuvolaMainWindow* _tmp7_ = NULL;
	NuvolaFormatSupportDialog* _tmp8_ = NULL;
#line 825 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->formats;
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = nuvola_format_support_get_flash_available (_tmp0_);
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = _tmp1_;
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = self->priv->formats;
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp4_ = nuvola_format_support_get_mp3_available (_tmp3_);
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = _tmp4_;
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp6_ = self->priv->storage;
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp7_ = self->priv->main_window;
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp8_ = nuvola_format_support_dialog_new (_tmp2_, _tmp5_, _tmp6_, (GtkWindow*) _tmp7_);
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_object_ref_sink (_tmp8_);
#line 827 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	dialog = _tmp8_;
#line 828 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_window_present ((GtkWindow*) dialog);
#line 825 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (dialog);
#line 3994 "nuvolaplayer.c"
}


static void nuvola_main_update_window_title (NuvolaMain* self) {
	NuvolaServiceSelectorDialog* _tmp0_ = NULL;
#line 831 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 832 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->selector;
#line 832 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ != NULL) {
#line 4006 "nuvolaplayer.c"
		NuvolaMainWindow* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = self->priv->main_window;
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp2_ = _ ("Select service");
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp3_ = g_strconcat (_tmp2_, " - ", NULL);
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = _tmp3_;
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp5_ = diorite_application_get_display_name ((DioriteApplication*) self);
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = _tmp5_;
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = g_strconcat (_tmp4_, _tmp6_, NULL);
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = _tmp7_;
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		gtk_window_set_title ((GtkWindow*) _tmp1_, _tmp8_);
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (_tmp8_);
#line 834 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_free0 (_tmp4_);
#line 4037 "nuvolaplayer.c"
	} else {
		NuvolaService* _tmp9_ = NULL;
#line 836 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = self->priv->service;
#line 836 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp9_ == NULL) {
#line 4044 "nuvolaplayer.c"
			NuvolaMainWindow* _tmp10_ = NULL;
			const gchar* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
#line 837 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp10_ = self->priv->main_window;
#line 837 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp11_ = diorite_application_get_display_name ((DioriteApplication*) self);
#line 837 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp12_ = _tmp11_;
#line 837 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_window_set_title ((GtkWindow*) _tmp10_, _tmp12_);
#line 4056 "nuvolaplayer.c"
		} else {
			gboolean _tmp13_ = FALSE;
			NuvolaWebPlayer* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
			const gchar* _tmp16_ = NULL;
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp14_ = self->priv->player;
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp15_ = nuvola_player_get_playback_state ((NuvolaPlayer*) _tmp14_);
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp16_ = _tmp15_;
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			if (g_strcmp0 (_tmp16_, NUVOLA_STATE_NONE) == 0) {
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp13_ = TRUE;
#line 4072 "nuvolaplayer.c"
			} else {
				NuvolaWebPlayer* _tmp17_ = NULL;
				const gchar* _tmp18_ = NULL;
				const gchar* _tmp19_ = NULL;
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp17_ = self->priv->player;
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp18_ = nuvola_player_get_song ((NuvolaPlayer*) _tmp17_);
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp19_ = _tmp18_;
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp13_ = _tmp19_ == NULL;
#line 4085 "nuvolaplayer.c"
			}
#line 839 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			if (_tmp13_) {
#line 4089 "nuvolaplayer.c"
				NuvolaMainWindow* _tmp20_ = NULL;
				NuvolaService* _tmp21_ = NULL;
				const gchar* _tmp22_ = NULL;
				const gchar* _tmp23_ = NULL;
				const gchar* _tmp24_ = NULL;
				const gchar* _tmp25_ = NULL;
				gchar* _tmp26_ = NULL;
				gchar* _tmp27_ = NULL;
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp20_ = self->priv->main_window;
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp21_ = self->priv->service;
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp22_ = nuvola_service_get_name (_tmp21_);
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp23_ = _tmp22_;
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp24_ = diorite_application_get_display_name ((DioriteApplication*) self);
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp25_ = _tmp24_;
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp26_ = g_strdup_printf ("%s - %s", _tmp23_, _tmp25_);
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp27_ = _tmp26_;
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				gtk_window_set_title ((GtkWindow*) _tmp20_, _tmp27_);
#line 840 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_g_free0 (_tmp27_);
#line 4118 "nuvolaplayer.c"
			} else {
				NuvolaWebPlayer* _tmp28_ = NULL;
				const gchar* _tmp29_ = NULL;
				const gchar* _tmp30_ = NULL;
#line 842 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp28_ = self->priv->player;
#line 842 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp29_ = nuvola_player_get_artist ((NuvolaPlayer*) _tmp28_);
#line 842 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp30_ = _tmp29_;
#line 842 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				if (_tmp30_ == NULL) {
#line 4131 "nuvolaplayer.c"
					NuvolaMainWindow* _tmp31_ = NULL;
					NuvolaWebPlayer* _tmp32_ = NULL;
					const gchar* _tmp33_ = NULL;
					const gchar* _tmp34_ = NULL;
					NuvolaService* _tmp35_ = NULL;
					const gchar* _tmp36_ = NULL;
					const gchar* _tmp37_ = NULL;
					const gchar* _tmp38_ = NULL;
					const gchar* _tmp39_ = NULL;
					gchar* _tmp40_ = NULL;
					gchar* _tmp41_ = NULL;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp31_ = self->priv->main_window;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp32_ = self->priv->player;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp33_ = nuvola_player_get_song ((NuvolaPlayer*) _tmp32_);
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp34_ = _tmp33_;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp35_ = self->priv->service;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp36_ = nuvola_service_get_name (_tmp35_);
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp37_ = _tmp36_;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp38_ = diorite_application_get_display_name ((DioriteApplication*) self);
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp39_ = _tmp38_;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp40_ = g_strdup_printf ("%s - %s - %s", _tmp34_, _tmp37_, _tmp39_);
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp41_ = _tmp40_;
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					gtk_window_set_title ((GtkWindow*) _tmp31_, _tmp41_);
#line 843 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_g_free0 (_tmp41_);
#line 4169 "nuvolaplayer.c"
				} else {
					NuvolaMainWindow* _tmp42_ = NULL;
					NuvolaWebPlayer* _tmp43_ = NULL;
					const gchar* _tmp44_ = NULL;
					const gchar* _tmp45_ = NULL;
					NuvolaWebPlayer* _tmp46_ = NULL;
					const gchar* _tmp47_ = NULL;
					const gchar* _tmp48_ = NULL;
					NuvolaService* _tmp49_ = NULL;
					const gchar* _tmp50_ = NULL;
					const gchar* _tmp51_ = NULL;
					const gchar* _tmp52_ = NULL;
					const gchar* _tmp53_ = NULL;
					gchar* _tmp54_ = NULL;
					gchar* _tmp55_ = NULL;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp42_ = self->priv->main_window;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp43_ = self->priv->player;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp44_ = nuvola_player_get_song ((NuvolaPlayer*) _tmp43_);
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp45_ = _tmp44_;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp46_ = self->priv->player;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp47_ = nuvola_player_get_artist ((NuvolaPlayer*) _tmp46_);
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp48_ = _tmp47_;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp49_ = self->priv->service;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp50_ = nuvola_service_get_name (_tmp49_);
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp51_ = _tmp50_;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp52_ = diorite_application_get_display_name ((DioriteApplication*) self);
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp53_ = _tmp52_;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp54_ = g_strdup_printf ("%s - %s - %s - %s", _tmp45_, _tmp48_, _tmp51_, _tmp53_);
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp55_ = _tmp54_;
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					gtk_window_set_title ((GtkWindow*) _tmp42_, _tmp55_);
#line 846 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_g_free0 (_tmp55_);
#line 4217 "nuvolaplayer.c"
				}
			}
		}
	}
}


static void nuvola_main_open_downloads (NuvolaMain* self) {
	NuvolaDownloadsDialog* _tmp0_ = NULL;
	NuvolaDownloadsDialog* _tmp2_ = NULL;
#line 850 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 852 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->downloads;
#line 852 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp0_ == NULL) {
#line 4234 "nuvolaplayer.c"
		NuvolaDownloadsDialog* _tmp1_ = NULL;
#line 853 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp1_ = nuvola_downloads_dialog_new ((DioriteApplication*) self);
#line 853 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		g_object_ref_sink (_tmp1_);
#line 853 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (self->priv->downloads);
#line 853 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		self->priv->downloads = _tmp1_;
#line 4244 "nuvolaplayer.c"
	}
#line 854 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = self->priv->downloads;
#line 854 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	gtk_window_present ((GtkWindow*) _tmp2_);
#line 4250 "nuvolaplayer.c"
}


static void nuvola_main_show_updates (NuvolaMain* self) {
	NuvolaUpdatesService* _tmp0_ = NULL;
#line 857 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 859 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->updates;
#line 859 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_updates_service_show_updates (_tmp0_);
#line 4262 "nuvolaplayer.c"
}


/**
 * Modifies popup menu of WebKit WebView
 */
static void nuvola_main_on_populate_popup (NuvolaMain* self, WebKitWebView* web_view, GtkMenu* menu) {
	GList* children = NULL;
	GtkMenu* _tmp0_ = NULL;
	GList* _tmp1_ = NULL;
	guint size = 0U;
	GList* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	NuvolaMainWindow* _tmp34_ = NULL;
	GtkMenu* _tmp35_ = NULL;
#line 865 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 865 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (web_view != NULL);
#line 865 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (menu != NULL);
#line 867 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = menu;
#line 867 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 867 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	children = _tmp1_;
#line 868 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = children;
#line 868 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp3_ = g_list_length (_tmp2_);
#line 868 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	size = _tmp3_;
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp5_ = nuvola_args_debug_javascript;
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp5_) {
#line 4302 "nuvolaplayer.c"
		guint _tmp6_ = 0U;
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp6_ = size;
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = _tmp6_ >= ((guint) 2);
#line 4308 "nuvolaplayer.c"
	} else {
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp4_ = FALSE;
#line 4312 "nuvolaplayer.c"
	}
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if (_tmp4_) {
#line 4316 "nuvolaplayer.c"
		GtkMenuItem* inspector_item = NULL;
		GList* _tmp7_ = NULL;
		guint _tmp8_ = 0U;
		gconstpointer _tmp9_ = NULL;
		GtkWidget* _tmp10_ = NULL;
		GtkMenuItem* _tmp11_ = NULL;
		GtkSeparatorMenuItem* separator_item = NULL;
		GList* _tmp12_ = NULL;
		guint _tmp13_ = 0U;
		gconstpointer _tmp14_ = NULL;
		GtkWidget* _tmp15_ = NULL;
		GtkSeparatorMenuItem* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
		GtkSeparatorMenuItem* _tmp18_ = NULL;
#line 873 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp7_ = children;
#line 873 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp8_ = size;
#line 873 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp9_ = g_list_nth_data (_tmp7_, _tmp8_ - 1);
#line 873 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp10_ = (GtkWidget*) _tmp9_;
#line 873 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp11_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp10_, GTK_TYPE_MENU_ITEM) ? ((GtkMenuItem*) _tmp10_) : NULL);
#line 873 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		inspector_item = _tmp11_;
#line 874 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp12_ = children;
#line 874 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp13_ = size;
#line 874 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp14_ = g_list_nth_data (_tmp12_, _tmp13_ - 2);
#line 874 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp15_ = (GtkWidget*) _tmp14_;
#line 874 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp16_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp15_, GTK_TYPE_SEPARATOR_MENU_ITEM) ? ((GtkSeparatorMenuItem*) _tmp15_) : NULL);
#line 874 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		separator_item = _tmp16_;
#line 875 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_tmp18_ = separator_item;
#line 875 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp18_ != NULL) {
#line 4359 "nuvolaplayer.c"
			GtkMenuItem* _tmp19_ = NULL;
#line 875 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp19_ = inspector_item;
#line 875 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp17_ = _tmp19_ != NULL;
#line 4365 "nuvolaplayer.c"
		} else {
#line 875 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp17_ = FALSE;
#line 4369 "nuvolaplayer.c"
		}
#line 875 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		if (_tmp17_) {
#line 4373 "nuvolaplayer.c"
			guint _tmp20_ = 0U;
			GtkMenu* _tmp21_ = NULL;
			GtkSeparatorMenuItem* _tmp22_ = NULL;
			GtkMenu* _tmp23_ = NULL;
			GtkSeparatorMenuItem* _tmp24_ = NULL;
			GtkSeparatorMenuItem* _tmp25_ = NULL;
#line 877 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp20_ = size;
#line 877 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			size = _tmp20_ - 2;
#line 878 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp21_ = menu;
#line 878 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp22_ = separator_item;
#line 878 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_container_remove ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp22_);
#line 879 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp23_ = menu;
#line 879 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp24_ = separator_item;
#line 879 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_menu_shell_append ((GtkMenuShell*) _tmp23_, (GtkWidget*) ((GtkMenuItem*) _tmp24_));
#line 880 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp25_ = separator_item;
#line 880 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			gtk_widget_show ((GtkWidget*) _tmp25_);
#line 4400 "nuvolaplayer.c"
		}
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (separator_item);
#line 870 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		_g_object_unref0 (inspector_item);
#line 4406 "nuvolaplayer.c"
	}
	{
		gint i = 0;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		i = 0;
#line 4412 "nuvolaplayer.c"
		{
			gboolean _tmp26_ = FALSE;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			_tmp26_ = TRUE;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			while (TRUE) {
#line 4419 "nuvolaplayer.c"
				gint _tmp28_ = 0;
				guint _tmp29_ = 0U;
				GtkMenu* _tmp30_ = NULL;
				GList* _tmp31_ = NULL;
				gint _tmp32_ = 0;
				gconstpointer _tmp33_ = NULL;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				if (!_tmp26_) {
#line 4428 "nuvolaplayer.c"
					gint _tmp27_ = 0;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					_tmp27_ = i;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					i = _tmp27_ + 1;
#line 4434 "nuvolaplayer.c"
				}
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp26_ = FALSE;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp28_ = i;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp29_ = size;
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				if (!(((guint) _tmp28_) < _tmp29_)) {
#line 884 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
					break;
#line 4446 "nuvolaplayer.c"
				}
#line 885 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp30_ = menu;
#line 885 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp31_ = children;
#line 885 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp32_ = i;
#line 885 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				_tmp33_ = g_list_nth_data (_tmp31_, (guint) _tmp32_);
#line 885 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				gtk_container_remove ((GtkContainer*) _tmp30_, (GtkWidget*) _tmp33_);
#line 4458 "nuvolaplayer.c"
			}
		}
	}
#line 888 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp34_ = self->priv->main_window;
#line 888 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp35_ = menu;
#line 888 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_window_populate_popup_menu (_tmp34_, _tmp35_);
#line 865 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_list_free0 (children);
#line 4470 "nuvolaplayer.c"
}


static void nuvola_main_on_download_started (NuvolaMain* self, WebKitDownload* request, GFile* destination) {
	NuvolaDownloadsDialog* _tmp0_ = NULL;
	WebKitDownload* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
#line 891 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (self != NULL);
#line 891 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (request != NULL);
#line 891 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_return_if_fail (destination != NULL);
#line 893 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_open_downloads (self);
#line 894 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp0_ = self->priv->downloads;
#line 894 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp1_ = request;
#line 894 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_tmp2_ = destination;
#line 894 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_downloads_dialog_add_download (_tmp0_, _tmp1_, _tmp2_);
#line 4494 "nuvolaplayer.c"
}


static void nuvola_main_class_init (NuvolaMainClass * klass) {
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	nuvola_main_parent_class = g_type_class_peek_parent (klass);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_type_class_add_private (klass, sizeof (NuvolaMainPrivate));
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	G_OBJECT_CLASS (klass)->finalize = nuvola_main_finalize;
#line 4505 "nuvolaplayer.c"
}


static void nuvola_main_instance_init (NuvolaMain * self) {
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv = NUVOLA_MAIN_GET_PRIVATE (self);
#line 170 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->main_window = NULL;
#line 173 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->service = NULL;
#line 178 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->ui_state = NULL;
#line 181 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->selector = NULL;
#line 185 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->preferences_window = NULL;
#line 186 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->loaded = FALSE;
#line 187 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->no_service_overlay = NULL;
#line 188 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->web_backend = NULL;
#line 191 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self->priv->downloads = NULL;
#line 4530 "nuvolaplayer.c"
}


static void nuvola_main_finalize (GObject* obj) {
	NuvolaMain * self;
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUVOLA_TYPE_MAIN, NuvolaMain);
#line 170 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->main_window);
#line 171 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->main_view);
#line 172 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->player);
#line 173 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->service);
#line 174 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->connection);
#line 175 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->services_manager);
#line 176 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_nuvola_object_container_unref0 (self->priv->objects);
#line 177 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->config);
#line 178 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->ui_state);
#line 179 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_nuvola_extensions_manager_unref0 (self->priv->extensions);
#line 180 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->storage);
#line 181 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->selector);
#line 182 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->actions);
#line 183 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->action_groups);
#line 184 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->ui_manager);
#line 185 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->preferences_window);
#line 187 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->no_service_overlay);
#line 188 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->web_backend);
#line 189 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->formats);
#line 190 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_nuvola_core_unref0 (self->priv->core);
#line 191 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->downloads);
#line 192 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_g_object_unref0 (self->priv->updates);
#line 782 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	G_OBJECT_CLASS (nuvola_main_parent_class)->finalize (obj);
#line 4584 "nuvolaplayer.c"
}


GType nuvola_main_get_type (void) {
	static volatile gsize nuvola_main_type_id__volatile = 0;
	if (g_once_init_enter (&nuvola_main_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuvolaMainClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nuvola_main_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuvolaMain), 0, (GInstanceInitFunc) nuvola_main_instance_init, NULL };
		GType nuvola_main_type_id;
		nuvola_main_type_id = g_type_register_static (DIORITE_TYPE_APPLICATION, "NuvolaMain", &g_define_type_info, 0);
		g_once_init_leave (&nuvola_main_type_id__volatile, nuvola_main_type_id);
	}
	return nuvola_main_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 4603 "nuvolaplayer.c"
		int i;
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
				destroy_func (((gpointer*) array)[i]);
#line 4611 "nuvolaplayer.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 169 "/builddir/build/BUILD/nuvolaplayer-2.4.3/src/nuvolaplayer.vala"
	g_free (array);
#line 4623 "nuvolaplayer.c"
}



